(function ($, owner) {
    //参数
    owner.data = {
        "token": "",
        "insuredAddress": ""
    };
    //获取服务器数据
    owner.getData = function () {
        this.data.token = sessionStorage.getItem("token");
    };

    //初始化
    owner.init = function () {
        var _this = this;
        _this.render();
        var slider = $('.mui-slider');
        slider.slider({interval: 3000});
        _this.autoLogin();
        _this.getDictList();
        _this.getData();
    };

    //渲染页面
    owner.render = function () {
        var httpIP = app.BACK_DOMAIN;
        var _this = this,
            data = {};
        data.list = _this.getImages();
        var list = data.list;
        if (list && list.length > 0) {
            for (var i = 0; i < list.length; i++) {
                data.list[i].advertMediaId = httpIP + list[i].advertMediaId;
            }
            data.first = data.list[list.length - 1].advertMediaId;
            data.last = data.list[0].advertMediaId;
            var html = template('main', data);
            // document.getElementById("#slider").innerHTML = html;
            Zepto("#slider").html(html);
        }

    }

    owner.getImages = function () {
        var list = [];
        app.ajax(app.APP_DOMAIN + '/home/homeData', '', 'get', function (data) {
            if (data.returnCode == '0000') {
                list = data.successMessage.imagesList;
            } else {
                list = [];
            }
        }, null, false);
        return list;
    };

    owner.autoLogin = function () {	//自动登录，保存token
        var _this = this, token = app.getCookie("token");
        if (token) {
            app.saveToken(token);
//    		app.delCookie("token");
        }
    };

    mui('#footer').on('tap', 'a', function () {
        document.location.href = this.href;
    });

    //参保地查询
    owner.getDictList = function () {
        var info = [];
        app.ajax(app.APP_DOMAIN + '/registerApi/dictList', '', 'get', function (res) {
            if (res.responseStatus == '200') {
                var dictList = res.successMessage.dictList;
                for (var i = 0; i < dictList.length; i++) {
                    var dict = {};
                    dict.value = dictList[i].value;
                    dict.text = dictList[i].label;
                    info[i] = dict;
                }
                insuredAddress(info);
            } else {
                $.toast(res.errorMessage, {duration: 'long', type: 'div'});
            }
        }, function (res) {
            console.log(res, '失败返回的串');
        })
        return info;
    };

    //获取参保地
    function insuredAddress(list) {
        var iaPicker = new $.PopPicker();
        iaPicker.setData(list);//调用接口查询参保地
        var button = document.getElementById('showCityPicker3');
        button.addEventListener('tap', function (event) {
            iaPicker.show(function (items) {
                var token = owner.data.token;
                var insuredAddress = items[0].value;
                // console.log(token);
                // console.log(insuredAddress);
                app.ajax(app.APP_DOMAIN + '/uCenterApi/user/modifyInsuredAddress/' + token + '/' + insuredAddress, '', 'get', function (res) {
                    if (res.responseMessage == "error" && res.responseStatus == "403") {
                        mui.alert(res.errorMessage);
                        return false;
                    }
                    if (res.responseMessage == "success" && res.responseStatus == "200") {
                        button.innerText = items[0].text;
                        button.value = items[0].value;
                        return true;
                    }
                });
            });
        }, false);
    }

}(mui, window.index = {}));

index.init();
