(function($, owner,document) {
	
	//初始化
	owner.init = function(){
		var self = this;
		self.data={},
		self.muiInit();
		self.addEvents();
	}
	
	//初始化mui
	owner.muiInit = function(){
		var self = this;
		$.init();
		//获取参保地
        self.getDictList();
	}

	//渲染页面
//	owner.render = function(){
//		var self = this,
//			data = {};
//		data.dictList = self.getDictList();
//
//		var html = template('main',data);
//		Zepto(".mui-content").html(html);
//	}

	//获取参保地
	function insuredAddress(list){
        var iaPicker = new $.PopPicker();
        iaPicker.setData(list);//调用接口查询参保地
        var button = document.getElementById('insuredAddress');
        button.addEventListener('tap', function(event) {
            iaPicker.show(function(items) {
            	button.innerText = items[0].text;
            	button.value = items[0].value;
                //返回 false 可以阻止选择框的关闭
                //return false;
            });
        }, false);
	}
    
    // 处理图片文件
    function processfile(file,compressValue) {
        var reader = new FileReader();
        reader.onload = function (event) {
            var blob = new Blob([event.target.result]); 
            var blobURL = URL.createObjectURL(blob); 
            var image = new Image();
            image.src = blobURL;
            image.onload = function() {
                var resized = resizeMe(image); 
                compressValue.value = resized;
                valicationFace(compressValue.value);
            }
        };
        reader.readAsArrayBuffer(file);
        
    }

    // 压缩图片
    function resizeMe(img) {
        //压缩的大小
        var max_width = 1280; 
        var max_height = 960; 

        var canvas = document.createElement('canvas');
        var width = img.width;
        var height = img.height;
        if(width > height) {
            if(width > max_width) {
                height = Math.round(height *= max_width / width);
                width = max_width;
            }
        }else{
            if(height > max_height) {
                width = Math.round(width *= max_height / height);
                height = max_height;
            }
        }

        canvas.width = width;
        canvas.height = height;

        var ctx = canvas.getContext("2d");
        ctx.drawImage(img, 0, 0, width, height);
        //压缩率
        return canvas.toDataURL("image/jpeg",0.3); 
    }   
    
    // 上传图片进行校验
    function valicationFace(base64) { 
		  var imgStr = $("#img64")[0].src;
		  var strs= new Array();
		  strs = imgStr.split("base64,");
//		  var paramsObj = {
//		  	  "realname" : document.getElementById("realname").value,
//	          "idcard" : document.getElementById("idcard").value,
//	          "img": strs[1]
//		  };
		// 测试假数据
		  var paramsObj = {
		  	  "realname" : "唐小军",
	          "idcard" : "362201198609282413",
	          "img": strs[1]
		  };
		  $.ajax({
              type: 'post',
              url: app.APP_DOMAIN+'/registerApi/valicationFace',
              data: paramsObj,
              timeout: 60000,
              headers: {
                  'Content-Type': 'application/json',
                  'APP-TOKEN': app.getToken()
              },
              beforeSend: function () {
            	  mui.showLoading("人脸核对需要时间可能较长，请耐心等待..", "div");
              },
              success: function (res) {
            	  if(res && res.responseStatus == '200'){
           	          // 跳转到验证码页面
            		  mui.alert("人脸核对成功！", "提示", "确定", function(){app.openWindow(app.APP_DOMAIN+'/registerApi/pin','pin',true);});
           	    	  
           	      }else{
           	    	  mui.alert('人脸核对失败，请重新验证');
           	      }
              },
              error: function (res) {
            	  console.log(res,'失败返回的串');
              },
              complete: function (res) {
                  mui.hideLoading("人脸核对需要时间可能较长，请耐心等待..", "div");
              }
          });
	} 
	
	//参保地查询
	owner.getDictList = function(){
		var info = [];
		app.ajax(app.APP_DOMAIN+'/registerApi/dictList', '', 'get', function(res){
			if(res.responseStatus == '200'){
				var dictList = res.successMessage.dictList;
				for(var i=0;i<dictList.length;i++){
					var dict = {};
					dict.value = dictList[i].value;
					dict.text = dictList[i].label;
					info[i] = dict;
				}
                insuredAddress(info);
			}else{
				$.toast(res.errorMessage,{ duration:'long', type:'div' });
			}
		},function (res) {
            console.log(res,'失败返回的串');
        })
		return info;
	}
	
	//验证
	owner.validate = function(){
		var idcard = document.getElementById("idcard").value;
		var realname = document.getElementById("realname").value;
		var insuredAddress = document.getElementById("insuredAddress").value;
		if(idcard == null || idcard == ""){
	    	mui.alert('请输入身份证号码');
	    	return false;
	    }
//		if(!app.checkIdCardNo(idcard)){
//	    	mui.alert('请输入正确的身份证号码');
//	    	return false;
//	    }
	    if(realname == null || realname == ""){
	    	mui.alert('请输入姓名');
	    	return false;
	    }
	    if(realname.length>10){
	    	mui.alert('输入姓名过长');
	    	return false;
	    }
	    if(insuredAddress == null || insuredAddress == ""){
	    	mui.alert('请选择参保地');
	    	return false;
	    }
	    if(insuredAddress.length>6){
	    	mui.alert('参保地字符过长');
	    	return false;
	    }
	    
		this.data = {
	    		idcard:idcard,
	    		realname:realname,
	    		insuredAddress:insuredAddress
		    };
		    
		return true;    
	}
	
	//绑定事件
	owner.addEvents = function() {
        var self = this;
        var btn = document.getElementById("triggerme");
        var fileInput = document.getElementById("file_input");
        //监听点击事件
        btn.addEventListener("tap",function () {
            Zepto("#file_input").click();
        });

        //提交
        mui(".mui-content").on('tap', '#veriface', function () {
            if (!self.validate()) {
                return false;
            }
            $.ajax({
                type: 'post',
                url: app.APP_DOMAIN + '/registerApi/authentication',
                data: JSON.stringify(self.data),
                timeout: 60000,
                headers: {
                    'Content-Type': 'application/json',
                    'APP-TOKEN': app.getToken()
                },
                async: false,
                beforeSend: function () {
                	mui.showLoading("正在验证资格..", "div");
                },
                success: function (res) {
                	if (res.responseStatus == '200') {
                        var uuid = res.successMessage.UUID;
                        // 成功后缓存UUID
                        window.sessionStorage.setItem("uuid", uuid);
                        // 调起摄像头&人脸识别
                        mui.trigger(btn,'tap');

                    } else {
                        $.toast(res.errorMessage);
                    }
                },
                error: function (res) {
                	console.log(res,'失败返回的串');
                },
                complete: function (res) {
                    if (mui.hideLoading) {
                        mui.hideLoading("正在验证资格..", "div");
                    }
                }
            });
        });
        
        Zepto("#file_input").on("change", function(){
            var files = this.files;
            var file = files[0];
            //获取用于存放压缩后图片base64编码
            var compressValue = document.getElementById('compressValue');
            mui.showLoading("正在压缩图片..", "div");
            processfile(file,compressValue);
        });
    };
	
}(mui, window.identityAuthentication = {},document));

identityAuthentication.init();
