(function($, owner,document) {
    var type = null;
    owner.init = function(){
        type = app.getQueryString("type");
        $.init();
        this.getUserInfo(type);
        this.addEvent();
    };
    //渲染页面
    owner.render = function(targetId,sourceId,key,value){
        var _this = this,
            data = {};
        data[key] = value;
        //渲染数据到页面
        Zepto("#"+targetId).html(template(sourceId,data));

    };
    //参保地查询
	owner.getDictList = function() {
		var _this = this, info = [];
		app.ajax(app.APP_DOMAIN+'/registerApi/dictList', '', 'get', function(res){
			if(res.responseStatus == '200'){
				var dictList = res.successMessage.dictList;
				for(var i=0;i<dictList.length;i++){
					var dict = {};
					dict.value = dictList[i].value;
					dict.text = dictList[i].label;
					info[i] = dict;
				}
			}else{
				$.toast(res.errorMessage,{ duration:'long', type:'div' });
			}
		},function (res) {
            console.log(res,'失败返回的串');
        }, false);
		return info;
	}
	
	//获取参保地
	function insuredAddress(list) {
        var iaPicker = new $.PopPicker(),
        	button = document.getElementById('insuredAddress');
        iaPicker.setData(list);//调用接口查询参保地
        //获取当前用户ip地址
        app.ajax(app.APP_DOMAIN+'/face/getIpAddress', "", 'get', function(res){
        	if("0000" == res.returnCode) {
        		//淘宝ip接口代码begin
        		var cityId = res.cityId, index = 0, foundFlag = false;
        		for(var i in list) {
        			if(list[i].value == cityId) {
        				index = i;
        				foundFlag = true;
        				break;
        			}
        		}
        		//淘宝ip接口代码end
        		
        		//查询本地ip库返回值代码begin
//        		var ipAddress = res.returnMsg, index = 0, foundFlag = false;
//        		for(var i in list) {
//	    			if(ipAddress.indexOf(list[i].text) != -1) {
//	    				index = i;
//	    				foundFlag = true;
//	    				break;
//	    			}
//	    		}
        		//查询本地ip库返回值代码end
        		if(foundFlag) {
        			iaPicker.pickers[0].setSelectedIndex(index);	//设置默认值
        			button.innerHTML = list[index].text;
        			button.value = list[index].value;
        		}
        	}
        });
        button.addEventListener('tap', function(event) {
            iaPicker.show(function(items) {
            	button.innerText = items[0].text;
            	button.value = items[0].value;
            });
        }, false);
	}

    //根据type类型判断为自己认证还是为他人认证
    owner.getUserInfo = function(type){
        var _this = this;
        var dataObj = {};
        if(type == 'other') {	//为他人认证
        	var insuredAddressList = _this.getDictList();
        	_this.render('content_view','content_script_other','userInfo',{});
        	insuredAddress(insuredAddressList);
        } else {	//为自己认证
        	app.ajax(app.APP_DOMAIN+'/certification/getUserInfo', JSON.stringify(dataObj), 'post', function(res){
                var returnCode = res.returnCode;
                if(returnCode == '0000'){	//获取用户信息
                    var userInfo = res;
                    _this.render('content_view','content_script_self','userInfo',userInfo);
                }else{
                    mui.toast(res.returnMsg);
                }
            });
        }
    };

    owner.addEvent = function () {
        var _this = this;
        mui(".mui-content").on('tap','#next',function(){
            var paramObj = {type:type};
            //1.养老待遇领取资格认证查询SI0037
            if(type=='other'){	//为他人认证
                paramObj['realname'] = document.getElementById("realname").value;
                paramObj['idcard'] = document.getElementById("idcard").value;
                paramObj['address'] = document.getElementById("insuredAddress").value;
            }
            app.ajax(app.APP_DOMAIN+'/face/zhimaCertification',JSON.stringify(paramObj), 'post', function(res){
                var returnCode = res.returnCode;
                if('0000' == returnCode){
                    //window.location.href = res.url;
                    // //跳转到下一步
                    // console.log(JSON.stringify(res));
                    //3.开始认证SI0038
                	app.ajax(app.APP_DOMAIN+'/face/certify',JSON.stringify(paramObj), 'post', function(res){
                    	var returnCode = res.returnCode;
                    	if('0000' == returnCode){
                    		mui.toast("认证成功");
                        }else{
                            mui.toast(res.returnMsg);
                        }
                    });
                }else{
                    mui.toast(res.returnMsg);
                }
            });
        },function () {

        }, false);
    };
}(mui, window.certification = {}, document));
//判断是否登陆
if(app.hasToken()){
	certification.init();
}
