(function ($, owner) {
    var CURRENT_PAGE = 1, PAGE_COUNT = 10, TYPE = '1', isOver = false;
    //初始化
    owner.init = function () {
        var _this = this;
        mui('.mui-scroll-wrapper').scroll({
            deceleration: 0.0030
        });
        _this.addEvent();


    }

    //渲染页面
    owner.render = function (targetId, sourceId, key, value) {
        var _this = this,
            data = {};
        data[key] = value;
        //渲染数据到页面
        Zepto("#" + targetId).html(template(sourceId, data));

    };

    //养老待遇查询
    owner.getPension = function () {

        var pension = {}, _this = this;
        app.ajax(app.APP_DOMAIN + '/pension/SI0035', JSON.stringify(pension), 'post', function (res) {

            if (res.returnCode == '0000') {
                if (!res.resultData||JSON.stringify(res.resultData)=="{}") {
                    addNoDataAlert();
                } else {
                    isOver = true;
                    pension = res.resultData;
                    //调用模板渲染数据到页面
                    _this.render('header_view', 'header_script_basic', 'pension', pension);
                    //计算header_view的高度
                    initHeight();
                    if(pension&&pension.jsonlist&&pension.jsonlist.length==0){
                        pension.jsonlistFlag = false;
                    }else {
                        pension.jsonlistFlag = true;
                    }
                    //调用模板渲染数据到页面
                    _this.render('content_view', 'content_script_basic', 'pension', pension);
                    Zepto("#segmentedControl a").removeClass("mui-active");
                    //渲染完成重新选中tab页面信息
                    Zepto("#segmentedControl a[data-type='" + TYPE + "']").addClass("mui-active");
                }
            } else {
                addNoDataAlert();
                mui.toast(res.returnMsg);
            }
            callRefresh();
        }, function () {
            callRefresh();
            addNoDataAlert();
        });
    };
    
    //展示养老待遇明细页
    owner.showPensionDetail = function() {
    	var _this = this;
    	//调用模板渲染数据到页面
        _this.render('header_view','header_script_detail','pensionDetail', {});
        _this.render('content_view','content_script_detail','pensionDetail', {});
        initHeight();
        initDate();
        Zepto("#segmentedControl a").removeClass("mui-active");
        //渲染完成重新选中tab页面信息
        Zepto("#segmentedControl a[data-type='"+TYPE+"']").addClass("mui-active");

        mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
    };

    //发送养老待遇明细查询请求
    owner.getPensionDetail = function (isInit) {
    	var _this = this, pensionDetail = {};
        pensionDetail["CURRENT_PAGE"] = CURRENT_PAGE;
        pensionDetail["PAGE_COUNT"] = PAGE_COUNT;
        pensionDetail["AAE030"] = Zepto("#beginDt").data("date");
        pensionDetail["AAE031"] = Zepto("#endDt").data("date");
        app.ajax(app.APP_DOMAIN + '/pension/SI0036', JSON.stringify(pensionDetail), 'post', function (res) {

            if (res.returnCode == '0000') {
                pensionDetail = res.resultData;
                if(!res.resultData||!res.resultData["total_count"]||res.resultData["total_count"] == 0){
                    addNoDataAlertDetail();
                }else{
                    //调用模板渲染数据到页面
                    var data={};
                    if(pensionDetail.jsonlist.length < PAGE_COUNT){
                        isOver = true;
                    }
                    data["list"] = pensionDetail.jsonlist;
                    var html = template('content_script_detail', data);
                    document.getElementById("content_view").innerHTML += html;
                    //当前页数加加
                    if(isOver == false){
                        CURRENT_PAGE++;
                    }
                    mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
                }
            } else {
                addNoDataAlertDetail();
                mui.toast(res.returnMsg);
            }
            callRefresh();
        }, function () {
            callRefresh();
            addNoDataAlertDetail();
        });
    };

    //添加事件
    owner.addEvent = function () {
        var _this = this;
        var dtpicker = new mui.DtPicker(
            {
                type: "month", //设置日历初始视图模式
                beginDate: new Date(1992, 01), //设置结束日期
                endDate: new Date() //设置开始日期
            }
        );
        mui("#segmentedControl").on('tap', 'a', function () {

            TYPE = Zepto(this).data("type");
            isOver = false;
            mui('#pullrefresh').pullRefresh().refresh(true);
            clearRenderHeader();
            clearRenderContent();
            resetCondition();
            clearNoDataAlter();
            if (TYPE == '1') {
                //养老金待遇基本信息
                _this.getPension();
            } else {
                //养老金待待遇明细信息
                _this.showPensionDetail();
            }

        });
        mui("#initHeight").on('tap', '.selectDt', function () {
            var self = this;
            dtpicker.show(function (selectItems) {
                Zepto(self).text(selectItems.y.text + "年" + selectItems.m.text + "月");
                Zepto(self).data('date', selectItems.y.text + selectItems.m.text);
            });

        });
        mui("#initHeight").on('tap', '.selectBut', function () {
            //清空渲染
            clearRenderContent();
            //清空没有数据时的提示
            clearNoDataAlter();
            resetCondition();
            //查询养老待遇明细
            _this.getPensionDetail(true);
        });
    };
    //上拉加载
    mui.init({
        pullRefresh: {
            container: '#pullrefresh',
            up: {
                auto: true,
                contentrefresh: '正在加载...',
                callback: pullupRefresh
            }
        }
    });

    function pullupRefresh() {
        setTimeout(function () {
            if (!isOver) {
                if(TYPE == '1'){
                    owner.getPension();
                }else {
                    owner.getPensionDetail(false);
                }
            }
        }, 1500);
    }

    function callRefresh() {
        app.callRefreshMui('pullrefresh', isOver);
    }

    //计算高度
    function initHeight() {
        //计算header_view的高度
        // var height = document.getElementById("header_view").offsetHeight + 100;
        // document.getElementById("pullrefresh").style.top = height + "px";
        var headHeight,tabHeight;
        var title = document.getElementById("title");
        if (!title) {
            titleHeight = 0;
        } else {
            titleHeight = document.getElementById("title").offsetHeight;
        }
        var tab = document.getElementById("tab");
        if (!tab) {
            tabHeight = 0;
        } else {
            tabHeight = document.getElementById("tab").offsetHeight;
        }
        var thead = document.getElementById("thead");
        if (!thead) {
            headHeight = 5;
        } else {
            headHeight = document.getElementById("thead").offsetHeight + 5;
        }
        //计算header_view的高度
        var height = document.getElementById("header_view").offsetHeight + headHeight+tabHeight+titleHeight;
        document.getElementById("pullrefresh").style.top = (height+15) + "px";
    }

    function initDate() {
        //初始化日期
        var beginDt = app.addDate("M", -3, new Date());
        //前三个月
        Zepto("#beginDt").data("date", app.getFullYear(beginDt) + app.getMonth(beginDt));
        Zepto("#beginDt").text(app.getFullYear(beginDt) + "年" + app.getMonth(beginDt) + "月");
        //当前日期
        Zepto("#endDt").data("date", app.getFullYear(new Date()) + app.getMonth(new Date()));
        Zepto("#endDt").text(app.getFullYear(new Date()) + "年" + app.getMonth(new Date()) + "月");
    }



    //重置查询条件
    function resetCondition() {
        isInit = true;
        isOver = false;
        CURRENT_PAGE = 1;
        mui('#pullrefresh').pullRefresh().refresh(true);
        mui("#pullrefresh").scroll().scrollTo(0,10,0);
    }
    //清空头
    function clearRenderHeader() {
        //删除子节点
        Zepto("#header_view").empty();
    }
    //清空内容渲染
    function clearRenderContent() {
        Zepto("#content_view").empty();
    }
    //清空没有数据时候的提示
    function clearNoDataAlter() {
        app.removeNullInfoTop15();
    }

    //没有数据时增加提示
    function addNoDataAlert() {
        Zepto(".nullInfo").append(app.nullInfoTop15());
    }

    //没有数据时增加提示
    function addNoDataAlertDetail() {
        Zepto("#pullrefresh").append(app.nullInfoTop15());
    }
}(mui, window.pension = {}));
//判断是否登陆
if (app.hasToken()) {
    pension.init();
}
