(function ($, owner) {
    var CURRENT_PAGE = 1, PAGE_COUNT = 10, AAE030 = '', AAE031 = '', isInit = true, isOver = false;
    //初始化
    owner.init = function () {
        var _this = this;
        mui('.mui-scroll-wrapper').scroll({
            deceleration: 0.0030
        });
        //初始化数据
        _this.addEvent();
    }

    owner.addEvent = function () {
        var _this = this;
        var dtpicker = new mui.DtPicker(
            {
                type: "month", //设置日历初始视图模式
                beginDate: new Date(1992, 01), //设置结束日期
                endDate: new Date() //设置开始日期
            }
        );

        mui(".butBox").on('tap', '#queryButton', function () {
            if (_this.validate()) {
                //清空渲染
                clearRenderContent();
                //清空没有数据时的提示
                clearNoDataAlter();
                //重置查询条件
                resetCondition();
                _this.getBXSchedule();
            }
        });

        mui(".mui-content").on('tap', '.selectDt', function () {
            var self = this;
            dtpicker.show(function (selectItems) {
                Zepto(self).text(selectItems.y.text + "年" + selectItems.m.text + "月");
                Zepto(self).data('date', selectItems.y.text + selectItems.m.text);
            });
        });
        //初始化日期
        var beginDt = app.addDate("M", -3, new Date());
        //前三个月
        Zepto("#beginDt").data("date", app.getFullYear(beginDt) + app.getMonth(beginDt));
        Zepto("#beginDt").text(app.getFullYear(beginDt) + "年" + app.getMonth(beginDt) + "月");
        //当前日期
        Zepto("#endDt").data("date", app.getFullYear(new Date()) + app.getMonth(new Date()));
        Zepto("#endDt").text(app.getFullYear(new Date()) + "年" + app.getMonth(new Date()) + "月");
    }

    //渲染页面
    owner.render = function (targetId, sourceId, key, value) {
        var _this = this,
            data = {};
        data[key] = value;
        // //渲染数据到页面
        Zepto("#" + targetId).html(template(sourceId, data));
    }

    //校验
    owner.validate = function () {
        var AAE030 = Zepto("#beginDt").data("date");
        var AAE031 = Zepto("#endDt").data("date");
        if (AAE030 == null || AAE030 == "") {
            mui.toast('请选择开始日期');
            return false;
        }
        if (AAE031 == null || AAE031 == "") {
            mui.toast('请选择结束日期');
            return false;
        }
        return true;
    }

    //医保报销进度查询
    owner.getBXSchedule = function () {
        var _this = this;
        var list = [];
        var dataObj = {};
        dataObj["CURRENT_PAGE"] = CURRENT_PAGE;
        dataObj["PAGE_COUNT"] = PAGE_COUNT;
        dataObj["AAE030"] = Zepto("#beginDt").data("date");
        dataObj["AAE031"] = Zepto("#endDt").data("date");
        app.ajax(app.APP_DOMAIN + '/bXSchedule/' + app.rsCode.bXSchedule, JSON.stringify(dataObj), 'post', function (res) {
            var returnCode = res.returnCode;
            if (returnCode == '0000') {
                if (!res.resultData || !res.resultData["total_count"] || res.resultData["total_count"] == 0) {
                    addNoDataAlert();
                } else {
                    list = res.resultData.jsonlist;
                    if (list.length < PAGE_COUNT) {
                        isOver = true;
                    }
                    //调用模板进行数据渲染
                    var data = {};
                    data.list = list;
                    var html = template('content_script', data);
                    document.getElementById("content_view").innerHTML += html;
                    //当前页数加加
                    if (isOver == false) {
                        CURRENT_PAGE++;
                    }
                    initHeight();
                }

            } else {
                addNoDataAlert();
                mui.toast(res.returnMsg);
            }
            callRefresh();
        }, function () {
            callRefresh();
            addNoDataAlert();
        });
    }

    //上拉加载
    mui.init({
        pullRefresh: {
            container: '#pullrefresh',
            up: {
                auto: false,
                contentrefresh: '正在加载...',
                callback: pullupRefresh
            }
        }
    });

    function pullupRefresh() {
        setTimeout(function () {
            if (!isOver) {
                owner.getBXSchedule();//参数为true代表没有更多数据了。
            }
        }, 1500);
    }

    function callRefresh() {
        app.callRefreshMui('pullrefresh', isOver);
    }
    //计算高度
    function initHeight() {
        var headHeight;
        var ss = document.getElementById("tab");
        if (!ss) {
            headHeight = 0
        } else {
            headHeight = document.getElementById("tab").offsetHeight + 5;
        }
        //计算header_view的高度
        var height = document.getElementById("header_view").offsetHeight + headHeight;
        document.getElementById("pullrefresh").style.top = height + "px";
    }
    //重置查询条件
    function resetCondition() {
        CURRENT_PAGE = 1;
        isOver = false;
        mui('#pullrefresh').pullRefresh().refresh(true);
        mui("#pullrefresh").scroll().scrollTo(0,10,0);
    }

    //清空内容渲染
    function clearRenderContent() {
        //点击查询清空数据
        Zepto("#content_view").empty();
    }

    //清空没有数据时候的提示
    function clearNoDataAlter() {
        app.removeNullInfoTop15();
    }
    //没有数据时增加提示
    function addNoDataAlert() {
        Zepto("#pullrefresh").append(app.nullInfoTop15());
    }

}(mui, window.bXSchedule = {}));
//判断是否登陆
if (app.hasToken()) {
    bXSchedule.init();
}