(function($, owner) {
	var CURRENT_PAGE = 1,PAGE_COUNT = 10,beginDate,endDate, isInit = true, isOver = false,expenDetail=[];
	//初始化
	owner.init = function(){
		var self = this;
        mui('.mui-scroll-wrapper').scroll({
            deceleration: 0.0030
        });
        clearNoDataAlter();
		self.addEvent();
	}
	
	owner.addEvent = function () {
		//列表查询
		var self = this;
        mui(".butBox").on('tap','#queryButton',function(){
            //清空渲染
            clearRenderContent();
            //清空没有数据时的提示
            clearNoDataAlter();
            resetCondition();

            self.getExpense();
        });
        //明细查询
        mui("#content_view").on('tap','.tableBox a.ckmx',function(){
        	var index = this.getAttribute("data-index");
        	var ep = expenDetail[index];
        	var param = '?akb021='+ep.akb021 +	//定点机构名称
        			    '&aka101='+ep.aka101 +	//医疗机构等级
        			    '&bae072='+ep.bae072 +	//本次结算单据号
        			    '&aka078='+ep.aka078 +	//就诊方式
        			    '&ake013='+ep.ake013 +	//业务来源
        			    //结算方式暂时没有返回值
        			    '&akc264='+ep.akc264 +	//总费用
        			    '&akb081='+ep.akb081 +	//医保报销金额
        			    '&bkc068='+ep.bkc068 +	//其他保障线支付金额
        			    '&ake038='+ep.ake038 +	//医保个人账户支付金额
        			    '&bkc070='+ep.bkc070 +	//个人现金支付金额
        			    '&ake056='+ep.ake056 ;	//结算日期
        	app.openWindow(encodeURI(encodeURI('expenseDetail.html'+param)),'expenseDetail',true);
        });

        var dtpicker = new mui.DtPicker(
            {
                type: "month", //设置日历初始视图模式
                beginDate: new Date(1992, 01), //设置结束日期
                endDate: new Date() //设置开始日期
            }
        );
        mui(".mui-content").on('tap','.selectDt',function(){
            var self = this;
            dtpicker.show(function (selectItems) {
                Zepto(self).text(selectItems.y.text+"年"+selectItems.m.text+"月");
                Zepto(self).data('date',selectItems.y.text+selectItems.m.text);
            });
        });

        //初始化日期
        var beginDt = app.addDate("M",-3, new Date());
        //前三个月
        Zepto("#beginDt").data("date",app.getFullYear(beginDt)+app.getMonth(beginDt));
        Zepto("#beginDt").text(app.getFullYear(beginDt)+"年"+app.getMonth(beginDt)+"月");
        //当前日期
        Zepto("#endDt").data("date",app.getFullYear(new Date())+app.getMonth(new Date()));
        Zepto("#endDt").text(app.getFullYear(new Date())+"年"+app.getMonth(new Date())+"月");
    }
	
	//渲染页面
    owner.render = function(targetId,sourceId,list){
    	var data = {};
        data["list"] = list;
    	Zepto("#"+targetId).html(template(sourceId,data));
    }
	
	//校验页面参数并处理参数格式
	owner.validate=function(){
        var AAE030 = Zepto("#beginDt").data("date");
        var AAE031 = Zepto("#endDt").data("date");
        if(AAE030 == null || AAE030 == ""){
            mui.toast('请选择开始日期');
            return false;
        }
        if(AAE031 == null || AAE031 == ""){
            mui.toast('请选择结束日期');
            return false;
        }
        return true;
	}
	
	//医疗费用查询
	owner.getExpense = function(){
		var self = this;
		beginDate = Zepto("#beginDt").data("date");
		endDate = Zepto("#endDt").data("date");
        var expense = [];
		if(!self.validate()){
			return false;
		}
		
		var dataObj = {};

        dataObj["CURRENT_PAGE"] = CURRENT_PAGE;
        dataObj["PAGE_COUNT"] = PAGE_COUNT;
        dataObj["AAE030"] = beginDate;//开始日期
        dataObj["AAE031"] = endDate;//结束日期

        
        app.ajax(app.APP_DOMAIN+'/expense/'+app.rsCode.expense, JSON.stringify(dataObj), 'post', function(res){
    			var returnCode = res.returnCode;
			if(returnCode == '0000'){
			    if(!res.resultData || !res.resultData["total_count"] || res.resultData["total_count"] == 0){
                    addNoDataAlert();
                }else {
                    initHeight();
                     expense = res.resultData.jsonlist;
                     expenDetail = expenDetail.concat(expense);
                    if(expense.length < PAGE_COUNT){
                        isOver = true;
                    }
                    var data = {};
                    data.list = expense;
                    var html = template('content_script',data);
                    document.getElementById("content_view").innerHTML += html;

                    //当前页数加加
                    if(isOver == false){
                        CURRENT_PAGE++;
                    }
                }
			}else{
                addNoDataAlert();
                mui.toast(res.returnMsg);
			}

            callRefresh();
		},function () {
            callRefresh();
            addNoDataAlert();
        });
		return expense;
	}

    //上拉加载
    mui.init({
        pullRefresh: {
            container: '#pullrefresh',
            up: {
                auto:false,
                contentrefresh: '正在加载...',
                callback: pullupRefresh
            }
        }
    });

    function pullupRefresh() {
        setTimeout(function() {
            mui('#pullrefresh').pullRefresh().endPullupToRefresh(isOver); //参数为true代表没有更多数据了。
            if(!isOver) {
                owner.getExpense();
            }
        }, 1500);
    }

    //改变加载状态
    function callRefresh(){
        app.callRefreshMui('pullrefresh',isOver);
    }

    //计算高度
    function initHeight() {
        //计算header_view的高度
        // var height = document.getElementById("header_view").offsetHeight + 100;
        // document.getElementById("pullrefresh").style.top = height + "px";
        var headHeight,tabHeight;
        var title = document.getElementById("title");
        if (!title) {
            titleHeight = 0;
        } else {
            titleHeight = document.getElementById("title").offsetHeight;
        }
        var tab = document.getElementById("tab");
        if (!tab) {
            tabHeight = 0;
        } else {
            tabHeight = document.getElementById("tab").offsetHeight;
        }


        document.getElementById("pullrefresh").style.top = (tabHeight+titleHeight+15) + "px";
    }

    //重置查询条件
    function resetCondition() {
        isOver = false;
        CURRENT_PAGE = 1;
        mui('#pullrefresh').pullRefresh().refresh(true);
        mui("#pullrefresh").scroll().scrollTo(0,10,0);
    }
    //清空内容渲染
    function clearRenderContent() {
        //点击查询清空数据
        Zepto("#content_view").empty();
    }
    //清空没有数据时候的提示
    function clearNoDataAlter() {
        app.removeNullInfoTop15();
    }
    //没有数据时增加提示
    function addNoDataAlert() {
        Zepto("#pullrefresh").append(app.nullInfoTop15());
    }
}(mui, window.expensePage = {}));
//判断是否登陆
if(app.hasToken()){
	expensePage.init();
}
