(function ($, owner) {
    var CURRENT_PAGE = 1, PAGE_COUNT = 20, TYPE = '1', isInit = true, isOver = false;
    //初始化
    owner.init = function () {
        var _this = this;
        mui('.mui-scroll-wrapper').scroll({
            deceleration: 0.0030
        });
        _this.addEvent();

    }

    //渲染页面
    owner.render = function (targetId, sourceId, key, value) {
        var _this = this,
            data = {};
        data[key] = value;
        //渲染数据到页面
        Zepto("#" + targetId).html(template(sourceId, data));
    }

    //医保账户查询
    owner.getMIAccount = function () {
        var _this = this;
        var MIAccount = [];
        var dataObj = {};
        dataObj["CURRENT_PAGE"] = CURRENT_PAGE;
        dataObj["PAGE_COUNT"] = PAGE_COUNT;
        dataObj["AAA039"] = TYPE;
        Zepto("#tableHead_view").html('');
        app.ajax(app.APP_DOMAIN + '/mIAccount/' + app.rsCode.mIAccount, JSON.stringify(dataObj), 'post', function (res) {
            var returnCode = res.returnCode;
            if (returnCode == '0000') {
                if (!res.resultData || !res.resultData["total_count"] || res.resultData["total_count"] == 0) {
                    addNoDataAlert();
                } else {
                    MIAccount = res.resultData;
                    //单独赋值真是姓名
                    MIAccount.realname = res.realname;
                    if (isInit) {
                        isInit = false;
                        //调用模板渲染数据到页面
                        _this.render('head_view', 'head_script', 'MIAccount', MIAccount);
                        if(TYPE=="1"){
                            Zepto("#tableHead_view").html(template('tableHead_income_script', {}))
                            //调用模板渲染数据到页面
                            _this.render('content_view', 'content_income_script', 'MIAccount', MIAccount);
                        }else {
                            Zepto("#tableHead_view").html(template('tableHead_expend_script', {}))
                            //调用模板渲染数据到页面
                            _this.render('content_view', 'content_expend_script', 'MIAccount', MIAccount);
                        }

                        //渲染完成重新选中tab页面信息
                        Zepto("#segmentedControl a[data-type='" + TYPE + "']").addClass("mui-active");
                        initHeight();

                    } else {
                        var data = {};
                        data.MIAccount = MIAccount;
                        //如果当前页是最后页面也不再加载数据，最后一页不再加载数据
                        if (MIAccount.jsonlist.length < PAGE_COUNT) {
                            isOver = true;
                        }
                        if(TYPE=="1"){
                            var html = template('content_income_script', data);
                            document.getElementById("content_view").innerHTML += html;
                        }else {
                            var html = template('content_expend_script', data);
                            document.getElementById("content_view").innerHTML += html;
                        }

                    }

                    //当前页数加加
                    if (isOver == false) {
                        CURRENT_PAGE++;
                    }

                }

            } else {
                addNoDataAlert();
                mui.toast(res.returnMsg);
            }
            callRefresh();
        }, function () {
            callRefresh();
            addNoDataAlert();
        });
    }

    owner.addEvent = function () {
        var _this = this;
        mui(".mui-content.nullInfo").on('tap', '#segmentedControl>a', function () {
            //获取当前选中的type值
            TYPE = Zepto(this).data("type");
            clearRenderContent();
            resetCondition();
            clearNoDataAlter();
            _this.getMIAccount();
        });
    }

    //上拉加载
    mui.init({
        pullRefresh: {
            container: '#pullrefresh',
            up: {
                auto: true,
                contentrefresh: '正在加载...',
                callback: pullupRefresh
            }
        }
    });

    function pullupRefresh() {
        setTimeout(function () {
            if (!isOver) {
                owner.getMIAccount();
            }
        }, 1500);
    }

    //改变加载状态
    function callRefresh() {
        app.callRefreshMui('pullrefresh', isOver);
    }

    //计算高度
    function initHeight() {
        var height = 0;
        var ids=["tableHead_view","tab","head_view"];
        ids.forEach(function (item,index) {
            height += document.getElementById(item)?document.getElementById(item).offsetHeight:0;
        });
        document.getElementById("pullrefresh").style.top = height + "px";
    }


    //清空内容渲染
    function clearRenderContent() {
        //点击查询清空数据
        // Zepto("#head_view").empty();
        // Zepto("#tableHead_view").empty();
        Zepto("#content_view").empty();
    }
    //重置查询条件
    function resetCondition() {
        isInit = true;
        isOver = false;
        CURRENT_PAGE = 1;
        mui('#pullrefresh').pullRefresh().refresh(true);
        mui("#pullrefresh").scroll().scrollTo(0,0,0);
    }

    //清空没有数据时候的提示
    function clearNoDataAlter() {
        app.removeNullInfo();
    }

    //没有数据时增加提示
    function addNoDataAlert() {
        if(isInit){
            Zepto(".nullInfo").append(app.nullInfo());
        }else {
            Zepto("#pullrefresh").append(app.nullInfo());
        }
    }
}(mui, window.account = {}));
//判断是否登陆
if (app.hasToken()) {
    account.init();
}
