(function ($, owner) {
    var CURRENT_PAGE = 1, PAGE_COUNT = 20, AKB022 = '1', AKA101 = '11', isInit = true, isOver = false;

    //初始化
    owner.init = function () {
        mui('.mui-scroll-wrapper').scroll({
            deceleration: 0.0030
        });
        var _this = this;
        // _this.addEvent();
        _this.addEventButton();
        _this.getDictList();
        _this.addEventLevel();
    }

    //校验
    owner.validate = function () {
        var AAA027 = Zepto("#showCityPicker3").data("date");
        var AKB021 = Zepto("#name").val();
        var AKA101 = Zepto("#showUserPicker").data("date");
        if (AAA027 == null || AAA027 == "") {
            mui.toast('请选择城市');
            return false;
        }
        if (AKA101 == null || AKA101 == "") {
            mui.toast('请选择医院等级');
            return false;
        }
        return true;
    }

    owner.addEventButton = function () {
        var _this = this;
        mui(".butBox").on('tap', '#queryButton', function () {
            //清空渲染
            clearRenderContent();
            //清空没有数据时的提示
            clearNoDataAlter();
            //重置查询条件
            resetCondition();
            if (_this.validate()) {
                isInit = true;
                CURRENT_PAGE = 1;
                _this.getPublicQuery();
            }
        });
    }
    owner.addEventCity = function (info) {
        var _this = this;
        var xzpicker = new mui.PopPicker();
        xzpicker.setData(info);
        mui(".mui-content").on('tap', '#showCityPicker3', function () {
            var self = this;
            xzpicker.show(function (selectItems) {
                Zepto(self).text(selectItems[0].text);
                Zepto(self).data('date', selectItems[0].value);
            });
        });
    }

    owner.addEventLevel = function () {
        var _this = this;
        var xzpicker = new mui.PopPicker();
        var info = [{
            value: '01',
            text: '一级医院及以下'
        }, {
            value: '02',
            text: '二级医院'
        }, {
            value: '03',
            text: '三级医院'
        }];
        xzpicker.setData(info);
        mui(".mui-content").on('tap', '#showUserPicker', function () {
            var self = this;
            xzpicker.show(function (selectItems) {
                Zepto(self).text(selectItems[0].text);
                Zepto(self).data('date', selectItems[0].value);
            });
        });
    }

    //渲染页面
    owner.render = function (targetId, sourceId, key, value) {
        var _this = this,
            data = {};
        data[key] = value;
        //渲染数据到页面
        Zepto("#" + targetId).html(template(sourceId, data));
    }


    //参保地查询
    owner.getDictList = function () {
        var _this = this;
        var info = [];

        //参保地查询
        app.ajax(app.APP_DOMAIN + '/registerApi/dictList', '', 'get', function (res) {
            if (res.responseStatus == '200') {
                var dictList = res.successMessage.dictList;
                for (var i = 0; i < dictList.length; i++) {
                    var dict = {};
                    dict.value = dictList[i].value;
                    dict.text = dictList[i].label;
                    info[i] = dict;
                }
                _this.addEventCity(info);
            } else {
                $.toast(res.errorMessage, {duration: 'long', type: 'div'});
            }
        }, function (res) {
            console.log(res, '失败返回的串');
        })
    }

    //医保报销进度查询
    owner.getPublicQuery = function () {
        var _this = this;
        var list = [];
        var dataObj = {};
        dataObj["CURRENT_PAGE"] = CURRENT_PAGE;
        dataObj["PAGE_COUNT"] = PAGE_COUNT;
        dataObj["AKB022"] = AKB022;
        dataObj["AAA027"] = Zepto("#showCityPicker3").data("date");
        dataObj["AKB021"] = Zepto("#name").val();
        dataObj["AKA101"] = Zepto("#showUserPicker").data("date");
        app.ajax(app.APP_DOMAIN + '/publicQuery/' + app.rsCode.publicQuery, JSON.stringify(dataObj), 'post', function (res) {
            var returnCode = res.returnCode;
            if (returnCode == '0000') {
                if (!res.resultData || !res.resultData["total_count"] || res.resultData["total_count"] == 0) {
                    addNoDataAlert();
                } else {
                    list = res.resultData.jsonlist;
                    if (list.length < PAGE_COUNT) {
                        isOver = true;
                    }
                    var data = {};
                    data.list = list;
                    var html = template('list_script', data);
                    document.getElementById("list_view").innerHTML += html;
                    initHeight();
                    //当前页数加加
                    if (isOver == false) {
                        CURRENT_PAGE++;
                    }
                }

            } else {
                addNoDataAlert();
                mui.toast(res.returnMsg);
            }
            callRefresh();
        }, function () {
            callRefresh();
            addNoDataAlert();
        });
    }


    //上拉加载
    mui.init({
        pullRefresh: {
            container: '#pullrefresh',
            up: {
                auto: false,
                contentrefresh: '正在加载...',
                callback: pullupRefresh
            }
        }
    });

    function pullupRefresh() {
        setTimeout(function () {
            //参数为true代表没有更多数据了。
            if (!isOver) {
                owner.getPublicQuery();
            }
        }, 1500);
    }

    function callRefresh() {
        app.callRefreshMui('pullrefresh', isOver);
    }

    //计算高度
    function initHeight() {
        var headHeight;
        var ss = document.getElementById("tab");
        if (!ss) {
            headHeight = 0
        } else {
            headHeight = document.getElementById("tab").offsetHeight + 5;
        }
        //计算header_view的高度
        var height = document.getElementById("header_view").offsetHeight + headHeight;
        document.getElementById("pullrefresh").style.top = height + "px";
    }

    //重置查询条件
    function resetCondition() {
        CURRENT_PAGE = 1;
        isOver = false;
        mui('#pullrefresh').pullRefresh().refresh(true);
        mui("#pullrefresh").scroll().scrollTo(0, 10, 0);
    }

    //清空内容渲染
    function clearRenderContent() {
        //点击查询清空数据
        Zepto("#list_view").empty();
    }

    //清空没有数据时候的提示
    function clearNoDataAlter() {
        app.removeNullInfoTop15();
    }

    //没有数提据时增加示
    function addNoDataAlert() {
        Zepto("#pullrefresh").append(app.nullInfoTop15());
    }

    publicQuery.init();
}(mui, window.publicQuery = {}));