(function($, owner) {
    var CURRENT_PAGE = 1,PAGE_COUNT = 10,TYPE = '1',isInit=true,isOver=false;
    //初始化
    owner.init = function(){
        var _this = this;
        mui('.mui-scroll-wrapper').scroll({
            deceleration: 0.0030
        });
        // 绑定查询事件
        _this.addEvent();
        // //初始化数据
        _this.getInsuranceType();

    }

    //校验
    owner.validate = function(){
        var AAE030 = Zepto("#beginDt").data("date");
        var AAE031 = Zepto("#endDt").data("date");
        var AAE140 = Zepto("#showUserPicker").data("selectType");
        if(AAE030 == null || AAE030 == ""){
            mui.toast('请选择开始日期');
            return false;
        }
        if(AAE031 == null || AAE031 == ""){
            mui.toast('请选择结束日期');
            return false;
        }
        if(AAE140 == null || AAE140 == ""){
            mui.toast('请选择险种');
            return false;
        }
        return true;
    }

    owner.render = function(targetId,sourceId,key,value){
        var _this = this,
            data = {};
        data[key] = value;
        // //渲染数据到页面
        Zepto("#"+targetId).html(template(sourceId,data));
    }

    //社保缴费查询
    owner.getPayFeeList = function () {
        var _this = this;
        var PayFeeList = [];
        PayFeeList.dictData = app.AAE140;
        //参数
        var dataObj = {};
        dataObj["CURRENT_PAGE"] = CURRENT_PAGE;
        dataObj["PAGE_COUNT"] = PAGE_COUNT;
        dataObj["AAE030"]=Zepto("#beginDt").data("date");
        dataObj["AAE031"]=Zepto("#endDt").data("date");
        dataObj["AAE140"]=Zepto("#showUserPicker").data("selectType");

        app.ajax(app.APP_DOMAIN+"/payFee/"+app.rsCode.payFee, JSON.stringify(dataObj), 'post', function(res){
            var returnCode = res.returnCode;
            var resturnMsg = res.returnMsg;
            //成功
            if(returnCode == '0000'){
                if(!res.resultData||!res.resultData["total_count"]||res.resultData["total_count"]==0){
                    addNoDataAlert();
                }else {
                    initHeight();
                    PayFeeList = res.resultData;
                    if(PayFeeList.jsonlist.length < PAGE_COUNT){
                        isOver = true;
                    }
                    var data = {};
                    data.PayFeeList = PayFeeList;
                    var html = template('content_script',data);
                    document.getElementById("content_view").innerHTML += html;
                    //当前页数加加
                    if(isOver == false){
                        CURRENT_PAGE++;
                    }
                }


            } else {
                addNoDataAlert();
                mui.toast(resturnMsg);
            }
            callRefresh();
        },function () {
            callRefresh();
            addNoDataAlert();
        });
    }
    owner.addEvent = function () {
        var _this = this;
        var dtpicker = new mui.DtPicker(
            {
                type: "month", //设置日历初始视图模式
                beginDate: new Date(1992, 01), //设置结束日期
                endDate: new Date() //设置开始日期
            }
        );

        var xzpicker = new mui.PopPicker();
        mui(".butBox").on('tap','#queryButton',function(){
            //清空渲染
            clearRenderContent();
            //清空没有数据时的提示
            clearNoDataAlter();
            //重置查询条件
            resetCondition();
            if(_this.validate()) {
                _this.getPayFeeList();
            }
        });

        mui(".mui-content").on('tap','.selectDt',function(){
            var self = this;
            dtpicker.show(function (selectItems) {
                Zepto(self).text(selectItems.y.text+"年"+selectItems.m.text+"月");
                Zepto(self).data('date',selectItems.y.text+selectItems.m.text);
            });
        });

        //初始化日期
        var beginDt = app.addDate("M",-3, new Date());
        //前三个月
        Zepto("#beginDt").data("date",app.getFullYear(beginDt)+app.getMonth(beginDt));
        Zepto("#beginDt").text(app.getFullYear(beginDt)+"年"+app.getMonth(beginDt)+"月");
        //当前日期
        Zepto("#endDt").data("date",app.getFullYear(new Date())+app.getMonth(new Date()));
        Zepto("#endDt").text(app.getFullYear(new Date())+"年"+app.getMonth(new Date())+"月");
    }

    owner.addEventType = function(data){
        var xzpicker = new mui.PopPicker();
        mui(".mui-content").on('tap','#showUserPicker',function(){
            var self = this;
            xzpicker.setData(data);
            xzpicker.show(function (selectItems) {
                Zepto(self).text(selectItems[0].text);
                Zepto(self).data('selectType',selectItems[0].value);
            });
        });
    }

    //获取险种类型
    owner.getInsuranceType = function(){
        var _this = this;
        //参保地查询
        app.ajax(app.APP_DOMAIN + '/dictList/AAE140_SI', '', 'get', function(res) {
        	var data = [];
    		var dictList = res.resultData ? res.resultData : [];
            for (var i = 0; i < dictList.length; i++) {
                var obj = {};
                obj.value = dictList[i].value;
                obj.text = dictList[i].label;
                data[i] = obj;
            }
            _this.addEventType(data);
        })
    }

    //上拉加载
    mui.init({
        pullRefresh: {
            container: '#pullrefresh',
            up: {
                auto:false,
                contentrefresh: '正在加载...',
                callback: pullupRefresh
            }
        }
    });

    function pullupRefresh() {
        setTimeout(function() {
            if(!isOver) {
                owner.getPayFeeList();
            }
        }, 1500);
    }

    function callRefresh(){
        app.callRefreshMui('pullrefresh',isOver);
    }

    //计算高度
    function initHeight() {
        var headHeight;
        var ss = document.getElementById("tab");
        if (!ss) {
            headHeight = 0
        } else {
            headHeight = document.getElementById("tab").offsetHeight + 10;
        }
        //计算header_view的高度
        var height = document.getElementById("header_view").offsetHeight + headHeight;
        document.getElementById("pullrefresh").style.top = height + "px";
    }
    //重置查询条件
    function resetCondition() {
        CURRENT_PAGE = 1;
        isOver = false;
        mui('#pullrefresh').pullRefresh().refresh(true);
        mui("#pullrefresh").scroll().scrollTo(0,10,0);
    }

    //清空内容渲染
    function clearRenderContent() {
        //点击查询清空数据
        Zepto("#content_view").empty();
    }

    //清空没有数据时候的提示
    function clearNoDataAlter() {
        app.removeNullInfoTop15();
    }
    //没有数据时增加提示
    function addNoDataAlert() {
        Zepto("#pullrefresh").append(app.nullInfoTop15());
    }
}(mui, window.payFee = {}));
//判断是否登陆
if(app.hasToken()){
    payFee.init();
}