(function ($, owner) {
    //初始化
    owner.init = function () {
        mui('.mui-scroll-wrapper').scroll({
            deceleration: 0.0030
        });
        var _this = this;
        // 绑定查询事件
        _this.addEvent();
    }

    //校验
    owner.validate = function () {
        var name = document.getElementById("name").value;
        if (name == null || name == "") {
            mui.toast('请添加医保目录名称');
            return false;
        }
        //输入两个字以上
        // if (name.length < 3) {
        //     mui.toast('医保目录名称请输入三个字以上');
        //     return false;
        // }
        if (!app.checkStrMinLength(name, 4)) {
            mui.toast('医保目录名称请输入两个汉字以上');
            return false;
        }
        return true;
    }

    owner.render = function (targetId, sourceId, key, value) {
        var _this = this,
            data = {};
        data[key] = value;
        // //渲染数据到页面
        Zepto("#" + targetId).html(template(sourceId, data));
    }

    //查询
    owner.getSIPQ01List = function () {
        var _this = this;
        var SIPQ01List = [];
        //参数
        var dataObj = {};
        dataObj["name"] = document.getElementById("name").value;
        app.ajax(app.APP_DOMAIN + "/publicQuery/" + app.rsCode.SIPQ01, JSON.stringify(dataObj), 'post', function (res) {
            var returnCode = res.returnCode;
            var resturnMsg = res.returnMsg;
            //成功
            if (returnCode == '0000') {
                if (!res.resultData || res.resultData.length == 0) {
                    addNoDataAlert();
                } else {
                    SIPQ01List = res.resultData;
                    //调用模板渲染数据到页面
                    _this.render('content_view', 'content_script', 'SIPQ01List', SIPQ01List);
                }
                initHeight();
            } else {//失败
                mui.toast(resturnMsg);
                addNoDataAlert();
            }
            callRefresh();
        }, function () {
            callRefresh();
            addNoDataAlert();
        })
    }
    owner.addEvent = function () {
        var _this = this;
        mui(".butBox").on('tap', '#queryButton', function () {
            //清空渲染
            clearRenderContent();
            //清空没有数据时的提示
            clearNoDataAlter();
            //重置查询条件
            resetCondition();
            if (_this.validate()) {
                _this.getSIPQ01List();
            }
        });
    };

    //计算高度
    function initHeight() {
        var headHeight;
        var ss = document.getElementById("tab");
        if (!ss) {
            headHeight = 0
        } else {
            headHeight = document.getElementById("tab").offsetHeight + 5;
        }
        //计算header_view的高度
        var height = document.getElementById("header_view").offsetHeight + headHeight;
        document.getElementById("pullrefresh").style.top = height + "px";
    }

    //重置查询条件
    function resetCondition() {
        mui('#pullrefresh').pullRefresh().refresh(true);
        mui("#pullrefresh").scroll().scrollTo(0, 10, 0);
    }

    //清空内容渲染
    function clearRenderContent() {
        //点击查询清空数据
        Zepto("#content_view").empty();
    }

    //清空没有数据时候的提示
    function clearNoDataAlter() {
        app.removeNullInfoTop15();
    }

    //没有数据时增加提示
    function addNoDataAlert() {
        Zepto("#pullrefresh").append(app.nullInfoTop15());
    }

    //上拉加载
    mui.init({
        pullRefresh: {
            container: '#pullrefresh',
            up: {
                auto: false,
                contentrefresh: '正在加载...',
                callback: pullupRefresh
            }
        }
    });

    function pullupRefresh() {
        setTimeout(function () {
            //参数为true代表没有更多数据了。
            // if(!true) {
            //     owner.getPublicQuery();
            // }
        }, 1500);
    }

    function callRefresh() {
        app.callRefreshMui('pullrefresh', true);
    }

    sipq01Page.init();
}(mui, window.sipq01Page = {}));