(function ($, owner) {
    var cityCode = '', mechanismName = '', grade = '';

    //初始化
    owner.init = function () {
        mui('.mui-scroll-wrapper').scroll({
            deceleration: 0.0030
        });
        var _this = this;
        _this.getDictList();
    }

    //渲染页面
    owner.render = function (targetId, sourceId, key, value) {
        var _this = this, data = {};
        data[key] = value;
        //渲染数据到页面
        Zepto("#" + targetId).html(template(sourceId, data));
    }

    //验证
    owner.validate = function () {
        cityCode = Zepto("#showCityPicker3").data("date");
        if (cityCode == null || cityCode == "") {
            mui.toast('请选择城市');
            return false;
        }

        grade = Zepto("#showUserPicker").data("date");
        if (grade == null || grade == "") {
            mui.toast('请选择等级');
            return false;
        }

        mechanismName = Zepto("#mechanismName").val();
        // if(mechanismName == null || mechanismName == ""){
        //     mui.toast('请输入定点机构名称');
        //     return false;
        // }

        return true;
    }

    owner.getDictList = function () {
        var _this = this;
        var info = [];
        //字典：医疗机构等级
        app.ajax(app.APP_DOMAIN + '/uCenterApi/info/dictList/AKA101_YD', '', 'get', function (res) {
            if (res.responseStatus == '200') {
                var dictList = res.successMessage.dictList;
                for (var i = 0; i < dictList.length; i++) {
                    var dict = {};
                    dict.value = dictList[i].value;
                    dict.text = dictList[i].label;
                    info[i] = dict;
                }
                _this.addEvent(info);
            } else {
                $.toast(res.errorMessage, {duration: 'long', type: 'div'});
            }
        }, function (res) {
            console.log(res, '失败返回的串');
        })
    }

    owner.addEvent = function (info) {
        var _this = this;
        mui(document.body).on('tap', '.selectBut', function () {
            //清空渲染
            clearRenderContent();
            //清空没有数据时的提示
            clearNoDataAlter();
            //重置查询条件
            resetCondition();
            if (_this.validate()) {
                _this.getPublicQuery();
            }
        });

        //等级
        var djpicker = new mui.PopPicker();
        mui(".mui-content").on('tap', '#showUserPicker', function () {
            var self = this;
            djpicker.setData(info);
            djpicker.show(function (selectItems) {
                Zepto(self).text(selectItems[0].text);
                Zepto(self).data('date', selectItems[0].value);
            });
        });

        //城市
        var xzpicker = new mui.PopPicker({
            layer: 2
        });
        mui(".mui-content").on('tap', '#showCityPicker3', function () {
            var self = this;
            xzpicker.setData(cityData);
            xzpicker.show(function (selectItems) {
                Zepto(self).text(selectItems[0].text + " " + selectItems[1].text);
                Zepto(self).data('date', selectItems[0].value + "," + selectItems[1].value);
            });
        });
    }

    owner.initData = function () {
        var _this = this;
    }

    //异地就医定点机构查询
    owner.getPublicQuery = function () {
        var _this = this;
        var list = [];
        var dataObj = {};
        dataObj["cityCode"] = cityCode;
        dataObj["grade"] = grade;
        dataObj["mechanismName"] = mechanismName;
        // console.log(dataObj);
        app.ajax(app.APP_DOMAIN + '/publicQuery/' + app.rsCode.SIPQ02, JSON.stringify(dataObj), 'post', function (res) {
                var returnCode = res.returnCode;
                if (returnCode == '0000') {
                    if (!res.resultData || res.resultData.length == 0) {
                        addNoDataAlert();
                    } else {
                        list = res.resultData;
                        if (list && list.length > 0) {
                            _this.render('list_view', 'list_script', 'list', list);
                        } else {
                            addNoDataAlert();
                        }
                    }
                    initHeight();
                } else {
                    mui.toast(res.returnMsg);
                    addNoDataAlert();
                }
                callRefresh();
            }, function () {
                callRefresh();
                addNoDataAlert();
            }
        )
    }

    //计算高度
    function initHeight() {
        var headHeight;
        var ss = document.getElementById("tab");
        if (!ss) {
            headHeight = 0
        } else {
            headHeight = document.getElementById("tab").offsetHeight + 5;
        }
        //计算header_view的高度
        var height = document.getElementById("header_view").offsetHeight + headHeight;
        document.getElementById("pullrefresh").style.top = height + "px";
    }

    //重置查询条件
    function resetCondition() {
        mui('#pullrefresh').pullRefresh().refresh(true);
        mui("#pullrefresh").scroll().scrollTo(0, 10, 0);
    }

    //清空内容渲染
    function clearRenderContent() {
        //点击查询清空数据
        Zepto("#list_view").empty();
    }

    //清空没有数据时候的提示
    function clearNoDataAlter() {
        app.removeNullInfoTop15();
    }

    //没有数据时增加提示
    function addNoDataAlert() {
        Zepto("#pullrefresh").append(app.nullInfoTop15());
    }

    //上拉加载
    mui.init({
        pullRefresh: {
            container: '#pullrefresh',
            up: {
                auto: false,
                contentrefresh: '正在加载...',
                callback: pullupRefresh
            }
        }
    });

    function pullupRefresh() {
        setTimeout(function () {
            //参数为true代表没有更多数据了。
            // if(!true) {
            //     owner.getPublicQuery();
            // }
        }, 1500);
    }

    function callRefresh() {
        app.callRefreshMui('pullrefresh', true);
    }

    sipq02Page.init();
}(mui, window.sipq02Page = {}));