function _extends() {
    _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
            var source = arguments[i];

            for (var key in source) {
                if (Object.prototype.hasOwnProperty.call(source, key)) {
                    target[key] = source[key];
                }
            }
        }

        return target;
    };

    return _extends.apply(this, arguments);
}

function _slicedToArray(arr, i) {
    return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
}

function _nonIterableRest() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance");
}

function _iterableToArrayLimit(arr, i) {
    var _arr = [];
    var _n = true;
    var _d = false;
    var _e = undefined;

    try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
            _arr.push(_s.value);

            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally {
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally {
            if (_d) throw _e;
        }
    }

    return _arr;
}

function _arrayWithHoles(arr) {
    if (Array.isArray(arr)) return arr;
}

Array.prototype.find = Array.prototype.find || function (callback) {
    for (var i = 0; i < this.length; i++) if (callback[this[i]]) return this[i];
};

app.hasToken();

window.token = app.getToken();

var mixin = {
    props: ['info0'],
    created: function created() {
        var _this = this;

        if (this.info0 && this.info) {
            Object.keys(this.info).forEach(function (key) {
                if (_this.info0[key]) {
                    _this.info[key] = _this.info0[key];
                }
            });
        }
    }
}; // 添加静态方法

function gotoStatePage(message, success, detail) {
    location.href = 'status.html?message=' + encodeURIComponent(message || '') + '&detail=' + encodeURIComponent(detail || '') + '&type=' + (success ? '1' : '');
}

(function () {
    Vue.prototype.ajax = function (url) {
        var data = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
        var method = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'get';
        var headers = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
        return new Promise(function (resolve, reject) {
            app.ajax(app.APP_DOMAIN + url, data, method, function (data) {
                if (data['returnCode'] !== '500') resolve(data); else reject(data['returnMsg']);
            }, reject, true, headers);
        });
    };

    window.getComponent = function (url) {
        return Promise.resolve(window[url]);
    };
})();

(function () {
    Vue.component('MInput', {
        template: "<div data-row>\n             <div class=\"mui-input-row\">\n            <label v-text=\"label + ':'\"></label>\n            <template v-if=\"type !== 'textarea'\">\n                <input :type=\"type\" v-bind=\"$attrs\" ref=\"input\" :placeholder=\"placeholder\" @input=\"input($event.target.value)\" @focus=\"focus\" @blur=\"blur\" :disabled=\"disabled\">\n                <i class=\"mui-icon M-input-clear\" @click=\"input('')\" v-show=\"showClear\" @mouseenter=\"hovering = true\" @mouseleave=\"hovering = false\"></i>\n            </template>\n            </div>\n            <template v-if=\"type === 'textarea'\">\n                <textarea v-bind=\"$attrs\" ref=\"textarea\" @input=\"input($event.target.value)\" :placeholder=\"placeholder\" :disabled=\"disabled\"></textarea>\n            </template>\n             </div>",
        name: 'm-input',
        props: {
            value: {
                type: String,
                "default": ''
            },
            label: {
                type: String,
                "default": ''
            },
            placeholder: {
                type: String,
                "default": ''
            },
            disabled: {
                type: Boolean,
                "default": false
            },
            clearable: {
                type: Boolean,
                "default": false
            },
            type: {
                type: String,
                "default": 'text'
            },
            prop: {
                type: String,
                "default": ''
            }
        },
        mounted: function mounted() {
            this.setNativeValue();
        },
        computed: {
            nativeValue: function nativeValue() {
                return typeof this.value === 'string' ? this.value : '';
            },
            showClear: function showClear() {
                return this.clearable && !this.disabled && this.nativeValue && (this.focused || this.hovering);
            }
        },
        methods: {
            setNativeValue: function setNativeValue() {
                var input = this.$refs[this.type !== 'textarea' ? 'input' : 'textarea'];
                if (!input) return;
                if (input.value === this.nativeValue) return;
                input.value = this.nativeValue;
            },
            input: function input(value) {
                this.$emit('input', value);
                this.$nextTick(this.setNativeValue);
            },
            focus: function focus($event) {
                this.focused = true;
                this.$emit('focus', $event);
            },
            blur: function blur($event) {
                this.focused = false;
                this.$emit('blur', $event);
            }
        },
        watch: {
            nativeValue: function nativeValue() {
                this.setNativeValue();
            }
        },
        data: function data() {
            return {
                focused: false,
                hovering: false
            };
        }
    });
})();

(function () {
    Vue.component('MPicker', {
        template: "<div data-row><div class=\"mui-input-row\"><label>{{label + ':'}}</label><div class=\"M-picker\" :class=\"{'M-picker-selected': selected}\" v-text=\"pickerText || placeholder\" @tap=\"pop\"></div></div></div>",
        name: 'm-picker',
        props: {
            list: {
                type: Array,
                required: true,
                "default": []
            },
            value: {
                type: String | Number,
                "default": ''
            },
            placeholder: {
                type: String,
                "default": ''
            },
            label: {
                type: String,
                "default": ''
            },
            disabled: {
                type: Boolean,
                "default": false
            },
            prop: String
        },
        mounted: function mounted() {
            try {
                this.picker = new mui.PopPicker();
                this.setPickerData(this.list);
            } catch (e) {
                alert(e.toString());
            }
        },
        methods: {
            setPickerData: function setPickerData(list) {
                this.picker.setData(list);
                this.picker.pickers[0].setSelectedValue(this.value);
            },
            pop: function pop() {
                var _this4 = this;

                if (!this.disabled && this.list.length) {
                    this.picker.show(function (_ref2) {
                        var _ref3 = _slicedToArray(_ref2, 1),
                            value = _ref3[0].value;

                        _this4.$emit('input', value);

                        return true;
                    });
                }
            }
        },
        watch: {
            list: function list(newList) {
                this.setPickerData(newList);
            }
        },
        computed: {
            pickerText: function pickerText() {
                var _this5 = this;

                var item = this.list.find(function (key) {
                    return _this5.value === key.value;
                });
                var text = item ? item.text : '';
                this.$emit('text', text);
                return text;
            },
            selected: function selected() {
                return !(this.disabled || this.pickerText === '');
            }
        },
        data: function data() {
            return {
                picker: null
            };
        }
    });
})();

(function () {
    Vue.component('MElement', {
        template: '<div data-element><slot></slot></div>',
        name: 'm-element',
        props: {
            rules: {
                type: Object,
                required: true
            }
        },
        data: function data() {
            var required = function required(value, v) {
                return typeof value === 'string' && value !== '' && v;
            };

            var min = function min(value, v) {
                return typeof value === 'string' && value.length > v;
            };

            var max = function max(value, v) {
                return typeof value === 'string' && value.length < v;
            };

            var validator = function validator(value, fn) {
                return typeof fn === 'function' && fn(value);
            };

            return {
                r: {
                    required: required,
                    min: min,
                    max: max,
                    validator: validator
                }
            };
        },
        methods: {
            validate: function validate(fn) {
                if (typeof fn === 'function') {
                    for (var i = 0; i < this.$children.length; i++) {
                        var child = this.$children[i];
                        var prop = child.$attrs.prop || child.prop,
                            value = child.value;
                        if (!prop) continue;

                        if (this.rules.hasOwnProperty(prop) && this.rules[prop] instanceof Array) {
                            for (var j = 0; j < this.rules[prop].length; j++) {
                                var rule = this.rules[prop][j];
                                var keys = Object.keys(this.r);

                                for (var k = 0; k < keys.length; k++) {
                                    if (rule.hasOwnProperty(keys[k])) {
                                        var result = this.r[keys[k]](value, rule[keys[k]]) ? undefined : {
                                            message: rule['message'] || '',
                                            prop: prop,
                                            value: value
                                        };

                                        if (result) {
                                            if (fn(result) === false) return false;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }

                return true;
            }
        }
    });
})();

var apply01 = function () {
    var nationality = [{
        "text": "中国",
        "value": "CHN"
    }, {
        "text": "香港",
        "value": "HKG"
    }, {
        "text": "澳门",
        "value": "MAC"
    }, {
        "text": "台湾",
        "value": "TWN"
    }];
    return Vue.component('apply01', {
        template: "<m-element :rules=\"rules\" ref=\"element\">\n        <div class=\"mui-input-group\">\n            <M-input label=\"\u8EAB\u4EFD\u8BC1\u53F7\" :value=\"info.idCard\" :disabled=\"true\" placeholder=\"\u8BF7\u8F93\u5165\u8EAB\u4EFD\u8BC1\u53F7\" prop=\"idCard\"></M-input>\n            <M-input label=\"\u59D3\u540D\" :value=\"info.realname\" :disabled=\"true\" placeholder=\"\u8BF7\u8F93\u5165\u59D3\u540D\" prop=\"realname\"></M-input>\n            <M-input label=\"\u6027\u522B\" :value=\"sex\" :readOnly=\"true\" placeholder=\"\u8BF7\u8F93\u5165\u6027\u522B\" prop=\"sex\"></M-input>\n\n            <M-picker label=\"\u56FD\u7C4D\" v-model=\"info.nationality\" placeholder=\"\u8BF7\u8F93\u5165\u56FD\u7C4D\" :list=\"nationality\" prop=\"nationality\" @text=\"nationalityNameF\"></M-picker>\n            <M-picker label=\"\u6C11\u65CF\" v-model=\"info.nation\" placeholder=\"\u8BF7\u9009\u62E9\u6C11\u65CF\" :list=\"nation\" prop=\"nation\" @text=\"nationNameF\"></M-picker>\n\n            <M-input label=\"\u624B\u673A\u53F7\" v-model=\"info.phone\" type=\"number\" placeholder=\"\u8BF7\u8F93\u5165\u624B\u673A\u53F7\" :clearable=\"true\" prop=\"phone\"></M-input>\n            <M-input label=\"\u5355\u4F4D\u540D\u79F0\" v-model=\"info.collectiveName\" placeholder=\"\u8BF7\u8F93\u5165\u5355\u4F4D\u540D\u79F0\" :clearable=\"true\" prop=\"collectiveName\"></M-input>\n        </div>\n        <div class=\"mui-input-group\" style=\"margin-top: 20px;\">\n\n            <M-picker label=\"\u53C2\u4FDD\u5730\" v-model=\"info.areaCode\" placeholder=\"\u8BF7\u9009\u62E9\u53C2\u4FDD\u5730\" :list=\"insured\" prop=\"areaCode\" @text=\"areaCodeNameF\"></M-picker>\n\n            <M-input label=\"\u8EAB\u4EFD\u8BC1\u4F4F\u5740\" v-model=\"info.address\" placeholder=\"\u8BF7\u8F93\u5165\u8EAB\u4EFD\u8BC1\u4F4F\u5740\" :clearable=\"true\" prop=\"address\"></M-input>\n            <M-input label=\"\u73B0\u4F4F\u5730\u5740\" v-model=\"info.nowAddress\" placeholder=\"\u8BF7\u8F93\u5165\u73B0\u4F4F\u5730\u5740\" :clearable=\"true\" prop=\"nowAddress\"></M-input>\n\n        </div>\n        <div class=\"mui-button-row\">\n            <button class=\"mui-btn mui-btn-primary btn\" @tap=\"next\">\u4E0B\u4E00\u6B65</button>\n        </div>\n    </m-element>",
        name: 'apply01',
        mixins: [mixin],
        data: function data() {
            return {
                info: {
                    nation: '',
                    phone: '',
                    nationality: 'CHN',
                    collectiveName: '',
                    areaCode: '',
                    sex: '',
                    address: '',
                    nowAddress: '',
                    idCard: '',
                    realname: '',
                    photo: '',
                    photoStatus: '',
                    areaCodeName: '',
                    nationName: '',
                    nationalityName: ''
                },
                nationality: nationality,
                nation: app.EthnicGroups,
                insured: [],
                rules: {
                    idCard: [{
                        required: true,
                        message: '身份证 不能为空'
                    }],
                    realname: [{
                        required: true,
                        message: '姓名 不能为空'
                    }],
                    sex: [{
                        required: true,
                        message: '性别 不能为空'
                    }],
                    nationality: [{
                        required: true,
                        message: '国籍 不能为空'
                    }],
                    nation: [{
                        required: true,
                        message: '民族 不能为空'
                    }],
                    phone: [{
                        required: true,
                        message: '手机号 不能为空'
                    }, {
                        validator: function validator(val) {
                            return app.checkMobile(val);
                        },
                        message: '手机号不正确'
                    }],
                    collectiveName: [{
                        required: true,
                        message: '单位名称 不能为空'
                    }],
                    areaCode: [{
                        required: true,
                        message: '参保地 不能为空'
                    }],
                    address: [{
                        required: true,
                        message: '身份证住址 不能为空'
                    }],
                    nowAddress: [{
                        required: true,
                        message: '现住地址 不能为空'
                    }]
                }
            };
        },
        methods: {
            next: function next() {
                var _this2 = this;

                if (this.validate()) {
                    this.ajax('/sscard/verifyApply/' + token, JSON.stringify(this.info), 'post').then(function (_ref) {
                        var returnCode = _ref.returnCode,
                            returnMsg = _ref.returnMsg;

                        if (returnCode === '0000') {
                            _this2.info.photo = (resultData || {}).photo;
                            _this2.info.photoStatus = (resultData || {}).photoStatus;
                            return Promise.resolve('apply04');
                        } else if(returnCode === '0001') {
                            gotoStatePage('抱歉，申领失败', false, returnMsg);
                            // return Promise.resolve('apply02');
                        } else {
                            return Promise.resolve('apply02');
                        }
                    }, function (returnMsg) {
                        gotoStatePage('抱歉，申领失败', false, returnMsg);
                    }).then(function (hash) {
                        _this2.$emit('info0', _this2.info);

                        _this2.$router.push(hash);
                    });
                }
            },
            validate: function validate() {
                return this.$refs['element'].validate(function (valid) {
                    if (valid) {
                        mui.toast(valid.message);
                        return false;
                    }
                });
            },
            nationalityNameF: function nationalityNameF(text) {
                this.info.nationalityName = text;
            },
            nationNameF: function nationNameF(text) {
                this.info.nationName = text;
            },
            areaCodeNameF: function areaCodeNameF(text) {
                this.info.areaCodeName = text;
            }
        },
        computed: {
            sex: function sex() {
                return this.info.sex === '' ? '' : this.info.sex === '1' ? '男' : '女';
            }
        },
        created: function created() {
            var _this3 = this;

            var self = this;
            this.ajax('/ucenter/getUserInfo').then(function (data) {
                var info = data.resultData;
                _this3.info.idCard = info.idCard;
                _this3.info.areaCode = info.insuredAddressCode;
                _this3.info.sex = info.gender;
                _this3.info.realname = info.realname;
                return self.ajax('/registerApi/dictList');
            }, console.error).then(function (data) {
                var dict = data.successMessage.dictList.map(function (x) {
                    return {
                        'text': x.label,
                        'value': x.value
                    };
                });
                self.$set(self, 'insured', dict);
            }, console.error);
        }
    });
}();

(function () {
    var routes = [{
        path: '/',
        redirect: '/apply01'
    }, {
        path: '/apply01',
        name: 'apply01',
        component: apply01
    }, {
        path: '/apply02',
        name: 'apply02',
        component: function() {
            return getComponent('apply02');
        }
    }, {
        path: '/apply03',
        name: 'apply03',
        component: function() {
            return getComponent('apply03');
        }
    }, {
        path: '/apply04',
        name: 'apply04',
        component: function() {
            return getComponent('apply04');
        }
    }, {
        path: '/apply05',
        name: 'apply05',
        component: function() {
            return getComponent('apply05');
        }
    }, {
        path: '/apply06',
        name: 'apply06',
        component: function() {
            return getComponent('apply06');
        }
    }];
    var router = new VueRouter({
        routes: routes
    });
    new Vue({
        router: router,
        data: {
            info: {}
        },
        methods: {
            submit: function submit(info) {
                this.$set(this, 'info', _extends({}, this.info, info));
            }
        }
    }).$mount('#app');
})();