var apply02 = function (mixin) {
    return {
        "template": "<div class=\"mui-button-row\"><button class=\"mui-btn mui-btn-primary btn\" @tap=\"open\">下一步</button></div>",
        "name": 'apply02',
        mixins: [mixin],
        "methods": {

            "open": function () {
                window.camera && window.camera.call(this, this.next)
            },

            "next": function (c) {
                if (typeof c === 'string') {
                    var _this = this;
                    (c.length <= 100 ? this.getPhoto(c) : this.savePhoto(c))
                        .then(function (result) {
                            var token = result['token'], photo = result['photo'];
                            if (token) photo = c;
                            if (photo) {
                                console.log("token = " + c);
                                console.log("photo[0 - 10] = " + photo.substring(0, 11));
                                _this.toApply03(photo);
                            } else {
                                mui.toast('网络繁忙，请稍后再试');
                            }
                        }, function () {
                            mui.toast('网络繁忙，请稍后再试');
                        });
                }
            },

            "toApply03": function (src) {
                this.$emit('info', {
                    photo: src
                });
                this.$router.push({
                    name: 'apply03',
                    params: {
                        src: 'data:image/png;base64,' + src
                    }
                })
            },

            "savePhoto": function (base64) {
                return this.ajax('/sscard/savePhoto', JSON.stringify({photo: base64}), 'post')
                    .then(function (res) {
                        var token = res['photo_token'];
                        return token ? Promise.resolve({token: token}) : Promise.reject();
                    }, function () {
                        return Promise.reject();
                    })
            },

            "getPhoto": function (token) {
                return this.ajax('/sscard/getPhoto?token=' + encodeURIComponent(token))
                    .then(function (res) {
                        var photo = res['photo'];
                        return photo ? Promise.resolve({photo: photo}) : Promise.reject();
                    }, function () {
                        return Promise.reject();
                    })
            }
        }
    };
}(window.mixin);