var apply04 = function (mixin) {
  return {
    template: "<div>\n      <div class=\"title\">\u8BF7\u9009\u62E9\u53D1\u5361\u94F6\u884C</div>\n        <template v-if=\"list.length > 0\">\n            <div class=\"mui-input-group no-after\">\n                <ul class=\"mui-table-view\">\n                    <li class=\"mui-table-view-cell\" v-for=\"(item, index) in list\" :key=\"item.bank_code\" @tap=\"select(item)\">\n                        {{item.bank_name}}\n                        <i class=\"mui-icon M-select\" :class=\"{ 'M-selected': item.bank_code === value }\"></i>\n                    </li>\n                </ul>\n            </div>\n            <div class=\"mui-button-row\">\n                <button type=\"button\" class=\"mui-btn mui-btn-primary btn\" @tap=\"next\">\u4E0B\u4E00\u6B65</button>\n            </div>\n        </template>\n        <template v-else>\n            <div class=\"null-info\">\n              <div class=\"null-images\"></div>\n              <div class=\"null-txt\">\u5F53\u524D\u5730\u533A\u6CA1\u6709\u627E\u5230\u94F6\u884C\u4FE1\u606F</div>\n            </div>\n        </template>\n    </div>",
    name: 'apply04',
    mixins: [mixin],
    data: function data() {
      return {
        list: [],
        value: '',
        bankMode: "邮寄领卡",
        name: ''
      };
    },
    mounted: function mounted() {
      var _this = this;

      this.ajax('/sscard/getBankList/' + this.info0.areaCode).then(function (data) {
        var list = data.resultData;

        if (list.length > 0) {
          _this.list = list;
          _this.value = list[0].bank_code;
        }
      }, console.error);
    },
    methods: {
      next: function next() {
        if (this.value === '') {
          mui.toast('请选择银行');
          return;
        }

        this.$emit('info0', {
          bank: this.value,
          bankName: this.name,
          bankMode: this.bankMode
        });
        this.$router.push('apply05');
      },
      select: function select(item) {
        this.value = item.bank_code;
        this.name = item.bank_name;
      }
    }
  };
}(window.mixin);