
(function ($, owner) {
  var data = {}; //初始化

  owner.init = function () {
    this.addEvent();
  }; //渲染页面

  function gotoStatePage(message, success, detail) {
    location.href = 'status.html?message=' + encodeURIComponent(message || '') + '&detail=' + encodeURIComponent(detail || '') + '&type=' + (success ? '1' : '');
  }

  owner.render = function (targetId, sourceId, key, value) {
    var _this = this,
        data = {};

    data[key] = value; //渲染数据到页面

    Zepto("#" + targetId).html(template(sourceId, data));
  };

  owner.addEvent = function () {
    var _this = this;

    mui(document.body).on('tap', '.btn1', function () {
      if (_this.validate()) {
        _this.sendChange();
      }
    });
    mui(document.body).on('tap', '.btn0', mui.back);
  };

  owner.validate = function () {
    var opwd = Zepto('#o1').val(),
        npwd1 = Zepto('#p1').val(),
        npwd2 = Zepto('#p2').val();
    if (opwd === '' || npwd1 === '' || npwd2 === '') return mui.toast('请完善信息'), false;
    if (!/^\d{6}$/.test(npwd1) || !/^\d{6}$/.test(opwd)) return mui.toast('密码为6位数字组成'), false;
    if (npwd1 !== npwd2) return mui.toast('两次密码不一致'), false;
    data.oldPassword = window.btoa(opwd);
    data.newPassword = window.btoa(npwd1);
    return true;
  };

  owner.sendChange = function () {
    var params = window.btoa(JSON.stringify(data));
    app.ajax(app.APP_DOMAIN + '/sscard/changePwd', params, 'post', function (res) {
      if (res.returnCode === '0000')
        gotoStatePage('密码修改成功', 1);
      else
        gotoStatePage('密码修改失败', 0, res.returnMsg);
    });
  };
})(mui, window.change01 = {}); //判断是否登陆


if (app.hasToken()) {
  change01.init();
}