(function ($, owner) {
    //参数
    owner.data = {
        "token": "",
        "paramsObj": {},
        "id": "",
        "list": []
    }; //初始化

    owner.init = function () {
        var _this = this;

       // var doc = document.getElementById("title");

        _this.addEvent();

        _this.getData();

        _this.getId();

        _this.getDictList(function () {
            if (_this.data.id) {
                _this.getPersonInfo();
            } else {
                _this.render('content_view', 'content_script', 'data', {
                    personInfo: {},
                    list: []
                });

                insuredAddress(_this.data.list);
            }
        });

        //doc.innerText = _this.data.id ? '编辑联系人' : '添加联系人';
    }; //获取服务器数据


    owner.getData = function () {
        this.data.token = app.getToken() || app.getQueryString("token");
    };

    owner.getId = function () {
        this.data.id = window.PERSON_ID;
    };

    owner.render = function (targetId, sourceId, key, value) {
        var _this = this,
            data = {};

        data[key] = value; //渲染数据到页面

        Zepto("#" + targetId).html(template(sourceId, data));
    }; //获取联系人信息


    owner.getPersonInfo = function () {
        var _this = this;
        var personInfo = [];
        var data = {};
        app.ajax(app.APP_DOMAIN + "/uCenterApi/getPersonInfo/" + _this.data.token + "/" + _this.data.id, '', 'get', function (res) {
            var returnCode = res.returnCode;
            var resturnMsg = res.returnMsg;
            console.log(res.resultData, "联系人信息"); //成功

            if (returnCode === '0000') {
                if (!res.resultData || res.resultData.length === 0) {} else {
                    data.personInfo = res.resultData;
                    data.list = _this.data.list; //调用模板渲染数据到页面

                    _this.render('content_view', 'content_script', 'data', data);

                    insuredAddress(data.list);
                }
            } else {
                //失败
                mui.toast(resturnMsg);
            }
        });
    }; //参保地查询


    owner.getDictList = function (callback) {
        var list = [];

        var _this = this;

        app.ajax(app.APP_DOMAIN + '/registerApi/dictList', '', 'get', function (res) {
            if (res.responseStatus === '200') {
                var dictList = res.successMessage.dictList;

                for (var i = 0; i < dictList.length; i++) {
                    var dict = {};
                    dict.value = dictList[i].value;
                    dict.text = dictList[i].label;
                    list[i] = dict;
                }

                _this.data.list = list;
            } else {
                $.toast(res.errorMessage, {
                    duration: 'long',
                    type: 'div'
                });
            }

            callback && callback();
        }, function (res) {
            console.log(res, '失败返回');
        });
    }; //监听事件


    owner.addEvent = function () {
        var _this = this;

        var paramsObj = _this.paramsObj;
        mui(document.body).on('tap', '#submit', function () {
            if (_this.validate()) {
                mui(this).button('loading');

                _this.doSubmit();
            }
        });
    };

    validation = {
        rules: {
            required: function required(value) {
                return value !== '';
            },
            idcard: function idcard(value) {
                return app.checkIdCardNo(value);
            },
            mobile: function mobile(value) {
                return app.checkMobile(value);
            }
        },
        messages: {
            required: "请完善联系人信息",
            idcard: "身份证号格式不正确",
            mobile: "手机号格式不正确"
        } //验证

    };

    owner.validate = function () {
        var rows = Zepto('#from input[name][vaild-rule]');

        for (var i = 0; i < rows.length; i++) {
            var row = rows[i];
            var rules = (row.getAttribute("vaild-rule") || "").split(',');
            var value = row.value;

            for (var j = 0; j < rules.length; j++) {
                var rule = rules[j].trim();
                var fun = validation.rules[rule];

                if (typeof fun == 'function') {
                    if (!fun(value)) {
                        var message = validation.messages[rule];
                        if (message) mui.toast(message);
                        return false;
                    }
                }
            }
        }

        return true;
    }; //提交


    owner.doSubmit = function () {
        var paramsObj = Zepto("#from").serializeArray();

        var _this = this;

        app.ajax(app.APP_DOMAIN + "/uCenterApi/savePersonInfo/" + _this.data.token, JSON.stringify(serializeObject(paramsObj)), 'post', function (res) {
            var returnCode = res.returnCode;
            var resturnMsg = res.returnMsg; //成功

            if (returnCode === '0000') {
                setTimeout(function () {
                    sessionStorage.setItem("vM1EpTxjsq", "1");
                    mui.back();
                }, 300);
            } else {
                //失败
                console.log(resturnMsg, "失败");
            }

            mui.toast(resturnMsg);
            mui('#submit').button('reset');
        }, function() {
            mui.toast('保存失败, 请重试');
            mui('#submit').button('reset');
        });
    };

    function serializeObject(arr) {
        arr = arr || [];
        var result = {};

        for (var i = 0; i < arr.length; i++) {
            result[arr[i].name] = arr[i].value;
        }

        return result;
    } //picker参保地选择器


    function insuredAddress(list) {
        var iaPicker = new $.PopPicker();
        iaPicker.setData(list); //调用接口查询参保地

        var button = document.getElementById('insuredAddress');
        var insuredAddressInput = document.getElementById('insuredAddressInput');
        insuredAddressInput.value && iaPicker.pickers[0].setSelectedValue(insuredAddressInput.value);
        button.addEventListener('tap', function (event) {
            iaPicker.show(function (items) {
                button.innerText = items[0].text;
                button.value = items[0].value;
                insuredAddressInput.value = items[0].value; //返回 false 可以阻止选择框的关闭
                //return false;
            });
        }, false);
    }
})(mui, window.addAndEditPerson = {}); //判断是否登陆


if (app.hasToken()) {
    addAndEditPerson.init();
}