(function ($, owner) {
    //参数
    owner.data = {
        "uuid": "",
        "phone": ""
    }
    //获取服务器数据
    owner.getData = function () {
        var _this = this;
        this.data.uuid = sessionStorage.getItem("uuid");
        this.data.phone = sessionStorage.getItem("phone");
    }
    //赋值
    owner.setData = function () {
        var _this = this;
        var phone = this.data.phone;
        var uuid = this.data.uuid;
        if (phone == null || phone == "") {
            mui.toast("服务器数据获取失败！", {duration: 'long', type: 'div'});
            return false;
        }
        if (uuid == null || uuid == "") {
            mui.toast("服务器数据获取失败！", {duration: 'long', type: 'div'});
            return false;
        }
        // var lphone = phone.replace(/^(\d{4})\d{4}(\d+)/, "$1****$2");
        document.getElementById("phone").value = phone;
    }


    //初始化
    owner.init = function () {
        var _this = this;
        _this.getData();
        _this.setData();
        _this.eventListener();
    }

    //绑定事件
    owner.eventListener = function () {
        var _this = this;
        mui(document.body).on('tap', '.mui-btn', function (e) {
            if (_this.validate()) {
                mui(this).button('loading');
                _this.doSubmit();
            }
        });
        mui(document.body).on('tap', '.yzm', function (e) {
            _this.sendCode();
        });
    }

    //锁定发送按钮
    owner.sendCode = function () {
        var _this = this;
        var uuid = _this.data.uuid;
        var phone = _this.data.phone;

        document.getElementById("yzm").setAttribute("disabled", true);
        //倒计时
        var time_num = 60;
        Zepto("#yzm").text("已发送" + time_num);
        var iID = setInterval(function () {
            time_num--;
            if (time_num > 0) {
                Zepto("#yzm").text("已发送" + time_num);
            } else {
                clearInterval(iID);
                Zepto("#yzm").text("重新发送");
                document.getElementById("yzm").removeAttribute("disabled", true);
            }
        }, 1000);

        app.ajax(app.APP_DOMAIN + '/uCenterApi/user/getPIN/' + uuid + '/' + phone, '', 'get', function (res) {
            if (res.responseMessage == "error" && res.responseStatus == "403") {
                mui.toast(res.errorMessage, {duration: 'long', type: 'div'});
                clearInterval(iID);
                document.getElementById("yzm").innerText = "重新发送";
                document.getElementById("yzm").removeAttribute("disabled", true);
            }
            if (res.responseMessage == "success" && res.responseStatus == "200") {
                //测试阶段验证码直接输入，否则发送到手机中
                document.getElementById("code").value = res.successMessage.PIN;
            }
        });
    }

    //验证
    owner.validate = function () {
        var _this = this;
        var code = document.getElementById("code").value;
        if (code == null || code == "") {
            mui.alert('请输入验证码');
            return false;
        }
        _this.data.code = code;
        return true;
    }

    //提交
    owner.doSubmit = function () {
        var uuid = this.data.uuid;
        var PIN = this.data.code;
        app.ajax(app.APP_DOMAIN + '/uCenterApi/user/checkPIN/' + uuid + '/' + PIN, '', 'get', function (res) {
            if (res.responseMessage == "error" && res.responseStatus == "403") {
                mui.toast(res.errorMessage, {duration: 'long', type: 'div'});
            }
            if (res.responseMessage == "success" && res.responseStatus == "200") {
                app.openWindow(app.APP_DOMAIN + '/ucenter/savePassword', '', true);
            }
            mui('.mui-btn').button('reset');
        });

    }


}(mui, window.checkPhone = {}));

checkPhone.init();