(function ($, owner) {
    //参数
    owner.data = {}
    //初始化
    owner.init = function () {
        var _this = this;
        _this.eventListener();
    }

    //绑定事件
    owner.eventListener = function () {
        var _this = this;
        mui(document.body).on('tap', '.mui-btn', function (e) {
            if (_this.validate()) {
                mui(this).button('loading');
                _this.doSubmit();
            }
        });
    }
    //验证
    owner.validate = function () {
        var idcard = document.getElementById("idcard").value;
        var realname = document.getElementById("realname").value;
        if (!app.checkIdCardNo(idcard)) {
            mui.alert('请输入正确的身份证号码');
            return false;
        }
        if (realname == null || realname == "") {
            mui.alert('请输入姓名');
            return false;
        }

        this.data.paramsObj = {
            "idcard": idcard,
            "realname": realname
        };

        return true;
    }

    //提交
    owner.doSubmit = function () {
        var paramsObj = this.data.paramsObj;
        app.ajax(app.APP_DOMAIN + '/uCenterApi/password/checkUser', JSON.stringify(paramsObj), 'post', function (res) {
            if (res.responseMessage == "error" && res.responseStatus == "403") {
                mui.toast(res.errorMessage, {duration: 'long', type: 'div'});
            }
            if (res.responseMessage == "success" && res.responseStatus == "200") {
                sessionStorage.setItem("uuid", res.successMessage.UUID);
                sessionStorage.setItem("phone", res.successMessage.phone);
                app.openWindow(app.APP_DOMAIN + '/ucenter/checkPhone', '', true);
            }
            mui('.mui-btn').button('reset');
        })

    }

}(mui, window.checkUser = {}));

checkUser.init();