(function ($, owner) {
    //参数
    owner.data = {
        "token": ""
    }; //初始化

    owner.init = function () {
        mui('.mui-scroll-wrapper').scroll({
            deceleration: 0.0030
        });

        var _this = this;

        _this.addEvent();

        _this.getData();

        //_this.getPersonList();
    }; //获取服务器数据


    owner.getData = function () {
        this.data.token = sessionStorage.getItem("token");
    };

    owner.render = function (targetId, sourceId, key, value) {
        var _this = this,
            data = {};

        data[key] = value; // //渲染数据到页面

        Zepto("#" + targetId).html(template(sourceId, data));
    }; //查询


    var personList = [];
    owner.getPersonList = function () {
        var _this = this;
        app.ajax(app.APP_DOMAIN + "/uCenterApi/getPersonList/" + _this.data.token, '', 'get', function (res) {
            var returnCode = res.returnCode;
            var resturnMsg = res.returnMsg; //成功
            if (returnCode === '0000') {
                if (!res.resultData || res.resultData.length === 0) {
                    addNoDataAlert();
                } else {
                    personList = res.resultData; //调用模板渲染数据到页面

                    _this.render('content_view', 'content_script', 'personList', personList);
                }
            } else {
                //失败
                mui.toast(resturnMsg);
                addNoDataAlert();
            }

            callRefresh();
        }, function () {
            callRefresh();
            addNoDataAlert();
        });
    };

    function removeItem(dataId) {

        var i = personList.length;

        var $ul = Zepto('ul.ul-person');

        while(i > 0) {
            var item = personList[--i];
            if(item.id === dataId) {
                personList.splice(i, 1);
                $ul.find('li.person[data-id="' + dataId + '"]').remove();
                break;
            }
        }

        if(personList.length === 0) {
            Zepto("#content_view").empty();
            addNoDataAlert()
        }

    } //监听事件


    owner.addEvent = function () {
        var _this = this;

        var paramsObj = {};
        mui(document.body).on('tap', '.del', function () {
            var doc = this;
            app.ajax(app.APP_DOMAIN + "/uCenterApi/delPersonInfo/" + _this.data.token + '/' + (this.getAttribute("data-id") || ''), '', 'get', function (res) {
                var returnCode = res.returnCode;
                var resturnMsg = res.returnMsg;
                console.log(res.resultData, "删除"); //成功

                if (returnCode === '0000') {
                    mui.toast(resturnMsg);
                    removeItem(doc.getAttribute("data-id"));
                } else {
                    //失败
                    mui.toast(resturnMsg);
                }
            });
            console.log(doc, "删除");
        });
         mui(document.body).on('tap', '.item-contact', function () {

            var realname =  this.getAttribute("data-realname");
            var idcard =  this.getAttribute("data-idcard");
            var insuredAddress =  this.getAttribute("data-insuredAddress");
            var param = {"realname":realname,"idcard":idcard,"insuredAddress":insuredAddress};
            var paramStr = JSON.stringify(param);
            if(window.mobileError)
                window.mobileError.contactinfo(paramStr);
            if( window.webkit)
                window.webkit.messageHandlers.contactinfo.postMessage ({body: param});


        });
        
        mui(document.body).on('tap', 'a.vM1EpTxjsq', function() {

            window.location.href = this.href;
        })
        
        
        // mui(document.body).on('tap', '.mui-navigate-right, .add-person', function () {
        //
        //     var webview = mui.openWindow({
        //         url: 'addAndEditPerson.html?personId=' + this.getAttribute("data-id") || ""
        //     });
        //
        // }); // mui(document.body).on('tap', '.add-person', function () {
        //     document.location.href = app.APP_DOMAIN + "/ucenter/person";
        // });
    }; //上拉加载


    mui.init({
        pullRefresh: {
            container: '#pullrefresh',
            up: {
                auto: true,
                contentrefresh: '正在加载...',
                callback: pullupRefresh
            }
        }
    });

    function pullupRefresh() {
        //setTimeout(function () {}, 1500);
        clearNoDataAlert();
        owner.getPersonList();
    } //改变加载状态


    function callRefresh() {
        mui('#pullrefresh').pullRefresh().endPullupToRefresh();

    } //没有数据时增加提示


    function addNoDataAlert() {
        Zepto("#null-data").html(app.nullInfo());
    }

    function clearNoDataAlert() {
        Zepto('#null-data').empty();
    }

    var interval = setInterval(function() {
        if(sessionStorage.getItem("vM1EpTxjsq")) {
            sessionStorage.removeItem("vM1EpTxjsq");
            pullupRefresh();
        }
    }, 100);

})(mui, window.commonlyPerson = {}); //判断是否登陆


if (app.hasToken()) {
    commonlyPerson.init();
}