(function ($, owner) {
    //参数
    owner.data = {
        "token": "",
        "phone": ""
    };
    //获取服务器数据
    owner.getData = function () {
        var _this = this;
        this.data.token = sessionStorage.getItem("token");
        var token = this.data.token;
        // this.data.phone = sessionStorage.getItem("phone");
        app.ajax(app.APP_DOMAIN + '/uCenterApi/phone/' + token, '', 'get', function (res) {
            if (res.returnCode == "0000") {
                _this.data.phone = res.phone;
                document.getElementById("oldPhone").innerText = res.phone;
            } else {
                mui.alter("失败");
            }
        });
    };
    //赋值
    owner.setData = function () {
        var phone = this.data.phone;
        var token = this.data.token;
        if (phone == null || phone == "") {
            mui.toast("服务器数据获取失败！");
            return false;
        }
        if (token == null || token == "") {
            mui.toast("服务器数据获取失败！");
            return false;
        }
        // var lphone = phone.replace(/^(\d{3})\d{4}(\d+)/, "$1****$2");
        document.getElementById("oldPhone").innerText = phone;
    };

    //初始化
    owner.init = function () {
        var _this = this;
        _this.getData();
        _this.setData();
        _this.eventListener();
    };

    //绑定事件
    owner.eventListener = function () {
        var _this = this;
        mui(document.body).on('tap', '.mui-btn', function (e) {
            if (_this.validate()) {
                mui(this).button('loading');
                _this.doSubmit();
            }
        });
        mui(document.body).on('tap', '.yzm', function (e) {
            var newPhone = document.getElementById("phone").value;
            if (!app.checkMobile(newPhone)) {
                mui.toast("请输入正确的手机号！");
                return false;
            }
            _this.sendCode();
        });
    };

    //锁定发送按钮
    owner.sendCode = function () {
        var _this = this;
        var token = _this.data.token;
        var phone = document.getElementById("phone").value;

        document.getElementById("yzm").setAttribute("disabled", true);
        //倒计时
        var time_num = 60;
        Zepto("#yzm").text("已发送" + time_num);
        var iID = setInterval(function () {
            time_num--;
            if (time_num > 0) {
                Zepto("#yzm").text("已发送" + time_num);
            } else {
                clearInterval(iID);
                Zepto("#yzm").text("重新发送");
                document.getElementById("yzm").removeAttribute("disabled", true);
            }
        }, 1000);

        app.ajax(app.APP_DOMAIN + '/uCenterApi/phone/getPhone/' + token + '/' + phone, '', 'get', function (res) {
            if (res.responseMessage == "error" && res.responseStatus == "403") {
                mui.alert(res.errorMessage);
                clearInterval(iID);
                Zepto("#yzm").text("重新发送");
                document.getElementById("yzm").removeAttribute("disabled", true);
            }
            if (res.responseMessage == "success" && res.responseStatus == "200") {
                //测试阶段验证码直接输入，否则发送到手机中
                Zepto("#code").val(res.successMessage.PIN);
            }
        });
    }

    //验证
    owner.validate = function () {
        var _this = this;
        var code = document.getElementById("code").value;
        if (code == null || code == "") {
            mui.alert('请输入验证码');
            return false;
        }
        _this.data.code = code;
        return true;
    }

    //提交
    owner.doSubmit = function () {
        var token = this.data.token;
        var PIN = this.data.code;
        app.ajax(app.APP_DOMAIN + '/uCenterApi/phone/savePhone/' + token + '/' + PIN, '', 'get', function (res) {
            if (res.responseMessage == "error" && res.responseStatus == "403") {
                mui.alert(res.errorMessage);
            }
            if (res.responseMessage == "success" && res.responseStatus == "200") {
                sessionStorage.setItem("phone", document.getElementById("phone").value);
                mui.alert("修改成功", function () {
                    var webview = mui.openWindow({
                        url: 'index',
                    });
                });
            }
            mui('.mui-btn').button('reset');
        });

    }


}(mui, window.modifyPhone = {}));
//判断是否登陆
if(app.hasToken()){
    modifyPhone.init();
}