(function ($, owner) {
    //参数
    owner.data = {}
    //初始化
    owner.init = function () {
        var _this = this;
        _this.getData();
        _this.eventListener();
    }

    //获取服务器数据
    owner.getData = function () {
        var _this = this;
        this.data.uuid = sessionStorage.getItem("uuid");
    }
    //绑定事件
    owner.eventListener = function () {
        var _this = this;
        mui(document.body).on('tap', '.mui-btn', function (e) {
            if (_this.validate()) {
                mui(this).button('loading');
                _this.doSubmit();
            }
        });
    }
    //验证
    owner.validate = function () {
        var password = document.getElementById("password").value;
        var confirmPassword = document.getElementById("confirmPassword").value;
        if (password != confirmPassword) {
            mui.alert("确认密码与原密码不相同！");
            return false;
        }
        if (!app.checkPassword(password)) {
            mui.alert("请输入6-20位只包含数字字母._的密码！");
            return false;
        }

        this.data.paramsObj = {
            "password": password,
            "UUID": this.data.uuid
        };

        return true;
    }

    //提交
    owner.doSubmit = function () {
        var paramsObj = this.data.paramsObj;
        console.log(paramsObj);
        app.ajax(app.APP_DOMAIN + '/uCenterApi/password/savePassword', JSON.stringify(paramsObj), 'post', function (res) {
            if (res.responseMessage == "error" && res.responseStatus == "403") {
                mui.alert(res.errorMessage);
            }
            if (res.responseMessage == "success" && res.responseStatus == "200") {
                sessionStorage.clear();
                mui.alert("密码重置成功！", function () {
                    app.openWindow(app.APP_DOMAIN + '/login', 'login', true);
                });
            }
            mui('.mui-btn').button('reset');
        })

    }

}(mui, window.savePassword = {}));

savePassword.init();